/**
 * Created by htzhanglong on 2015/8/2.
 */
// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in homeControllers.js
angular.module('starter', ['ionic','ngCordova','starter.controllers','company.controllers','center.controllers','starter.directive','starter.services','starter.config','ionic-native-transitions','ionic-datepicker'])

  .run(function($ionicPlatform,$rootScope,$state,$timeout,$ionicPopup,$location,$ionicHistory,$cordovaToast,Push) {

    document.addEventListener("jpush.receiveNotification", onReceiveNotification, false);

    var onReceiveNotification = function(event) {
      var alertContent;
      alertContent = event.aps.alert;
      alert("open Notificaiton:" + alertContent);
    };


    var notificationCallback = function(data) {

      $ionicPopup.alert({
        title:data.title,
        template:data.alert
      })
    };

    var onGetRegistradionID = function(data){
      try {
        //alert("JPushPlugin:registrationID is " + data);
      } catch(exception) {
        //alert(exception);
      }
    };
    $ionicPlatform.ready(function() {

      if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
        cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      }
      if (window.StatusBar) {
        // org.apache.cordova.statusbar required
        StatusBar.styleLightContent();
      }
      Push.setBadge(0);
      //初始化
      Push.init(notificationCallback);
      //设置别名
      //Push.setAlias("12345678");
      Push.getRegistrationID(onGetRegistradionID);
    });

    //双击退出
    $ionicPlatform.registerBackButtonAction(function (e) {
      //判断处于哪个页面时双击退出
      if ($location.path() == '/tab/home' || $location.path() == '/login') {
        if ($rootScope.backButtonPressedOnceToExit) {
          ionic.Platform.exitApp();
        } else {
          $rootScope.backButtonPressedOnceToExit = true;
          $cordovaToast.showShortBottom('再按一次退出系统');
          setTimeout(function () {
            $rootScope.backButtonPressedOnceToExit = false;
          }, 2000);
        }
      }
      else if ($ionicHistory.backView()) {
        $ionicHistory.goBack();
      } else {
        $rootScope.backButtonPressedOnceToExit = true;
        $cordovaToast.showShortBottom('再按一次退出系统');
        setTimeout(function () {
          $rootScope.backButtonPressedOnceToExit = false;
        }, 2000);
      }
      e.preventDefault();
      return false;
    }, 101);

  })



    .config(function($stateProvider, $urlRouterProvider,$ionicConfigProvider,$httpProvider,ionicDatePickerProvider,$ionicNativeTransitionsProvider) {

    // 配置post发送数据格式
    $httpProvider.defaults.transformRequest = function(data){
      if(data === undefined){
        return data;
      }
      return $.param(data);
    }
    $httpProvider.defaults.headers.post['Content-Type'] = 'application/x-www-form-urlencoded; charset=UTF-8';

    $ionicNativeTransitionsProvider.setDefaultOptions({
      duration: 300, // in milliseconds (ms), default 400,
      slowdownfactor: 4, // overlap views (higher number is more) or no overlap (1), default 4
      iosdelay: -1, // ms to wait for the iOS webview to update before animation kicks in, default -1
      androiddelay: -1, // same as above but for Android, default -1
      winphonedelay: -1, // same as above but for Windows Phone, default -1,
      fixedPixelsTop: 0, // the number of pixels of your fixed header, default 0 (iOS and Android)
      fixedPixelsBottom: 0, // the number of pixels of your fixed footer (f.i. a tab bar), default 0 (iOS and Android)
      triggerTransitionEvent: '$ionicView.afterEnter', // internal ionic-native-transitions option
      backInOppositeDirection: false // Takes over default back transition and state back transition to use the opposite direction transition to go back
    });


    $ionicConfigProvider.platform.ios.tabs.style('standard');
    $ionicConfigProvider.platform.ios.tabs.position('bottom');
    $ionicConfigProvider.platform.android.tabs.style('standard');
    $ionicConfigProvider.platform.android.tabs.position('standard');

    $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
    $ionicConfigProvider.platform.android.navBar.alignTitle('center');

    $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
    $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

    $ionicConfigProvider.platform.ios.views.transition('ios');
    $ionicConfigProvider.platform.android.views.transition('android');

    $ionicNativeTransitionsProvider.setDefaultTransition({
      type: 'slide',
      direction: 'left'
    });
    $ionicNativeTransitionsProvider.setDefaultBackTransition({
      type: 'slide',
      direction: 'right'
    });

    var datePickerObj = {
      inputDate: new Date(),
      setLabel: '确定',
      todayLabel: '今天',
      closeLabel: '取消',
      mondayFirst: true,
      weeksList: ["一", "二", "三", "四", "五", "六", "日"],
      monthsList: ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"],
      templateType: 'popup',
      from: new Date(),
      to: new Date(2100, 01, 01),
      showTodayButton: false,
      dateFormat: 'yyyy年MMMM月dd日',
      closeOnSelect: true
      //disableWeekdays: []
    };
    ionicDatePickerProvider.configDatePicker(datePickerObj);

    $stateProvider
      //登入
      .state('main', {
        url: '/main',
        templateUrl: 'templates/main.html',
        controller: 'MainController'
      })
      //登入
      .state('login', {
        url: '/login',
        templateUrl: 'templates/login.html',
        controller: 'LoginController'
      })
      //注册
      .state('register', {
        url: '/register',
        templateUrl: 'templates/register.html',
        controller: 'RegisterController'
      })
      //忘记密码
      .state('find', {
        url: '/find',
        templateUrl: 'templates/findPwd.html',
        controller: 'FindController'
      })
      //修改新密码
      .state('setPwd', {
        url: '/setPwd',
        templateUrl: 'templates/setPwd.html',
        controller: 'SetPwdController'
      })
      //修改新密码
      .state('banner', {
        url: '/banner',
        templateUrl: 'templates/banner.html',
        controller: 'BannerController'
      })

      .state('tab', {
        url: "/tab",
        abstract: true,
        templateUrl: "templates/tabs.html"
      })
      //首页
      .state('tab.home', {
        url: '/home',
        nativeTransitions: null,
        cache:true,
        views: {
          'tab-home': {
            templateUrl: 'templates/home.html',
            controller: 'HomeCtrl'
          }
        }
      })
      //公司订单
      .state('companyTask', {
        url: '/companyTask/:type',
        templateUrl: 'templates/companyTask.html',
        controller: 'CompanyTaskController'
      })
      //我的订单
      .state('tab.myIndent', {
        url: '/myIndent',
        views: {
          'tab-home': {
            templateUrl: 'templates/myIndent.html',
            controller: 'MyIndentController'
          }
        }
      })
      //时间安排
      .state('tab.timeTable', {
        url: '/timeTable',
        views: {
          'tab-home': {
            templateUrl: 'templates/timeTable.html',
            controller: 'TimeTableController'
          }
        }
      })
      //擅长路线
      .state('tab.path', {
        url: '/path',
        views: {
          'tab-home': {
            templateUrl: 'templates/path.html',
            controller: 'PathController'
          }
        }
      })
      //到期提醒
      .state('tab.outDate', {
        url: '/outDate',
        views: {
          'tab-home': {
            templateUrl: 'templates/outDate.html',
            controller: 'OutDateController'
          }
        }
      })
      //订单详情
      .state('tab.indentDetail', {
        url: '/indentDetail/:aid/:type',
        views:{
          'tab-home':{
            templateUrl: 'templates/indentDetail.html',
            controller: 'IndentDetailController'
          }
        }
      })

      //个人中心
      .state('tab.center', {
        url: '/center',
        nativeTransitions: null,
        views: {
          'tab-center': {
            templateUrl: 'templates/center.html',
            controller: 'CenterController'
          }
        }
      })
      //基本资料
      .state('tab.basicInfo', {
        url: '/basicInfo',
        views: {
          'tab-center': {
            templateUrl: 'templates/basicInfo.html',
            controller: 'BasicInfoController'
          }
        }
      })
      //城市列表
      .state('tab.citys', {
        url: '/citys',
        views: {
          'tab-center': {
            templateUrl: 'templates/citys.html',
            controller: 'CitysController'
          }
        }
      })
      //城市列表
      .state('tab.subTypeCitys', {
        url: '/subTypeCitys/:code',
        views: {
          'tab-center': {
            templateUrl: 'templates/subTypeCitys.html',
            controller: 'SubTypeCitysController'
          }
        }
      })

      //城市列表
      .state('tab.subCitys', {
        url: '/subCitys/:code',
        views: {
          'tab-center': {
            templateUrl: 'templates/subCitys.html',
            controller: 'SubCitysController'
          }
        }
      })
      //城市列表
      .state('tab.origin', {
        url: '/origin',
        views: {
          'tab-center': {
            templateUrl: 'templates/origin.html',
            controller: 'OriginController'
          }
        }
      })
      //公司待办事项
      .state('tab.backlogList', {
        url: '/backlogList',
        views: {
          'tab-center': {
            templateUrl: 'templates/backlogList.html',
            controller: 'BacklogListController'
          }
        }
      })//公司所有投诉列表
      .state('tab.complaints', {
        url: '/complaints',
        views: {
          'tab-center': {
            templateUrl: 'templates/complaints.html',
            controller: 'ComplaintsController'
          }
        }
      })//投诉详情
      .state('tab.complaintDetail', {
        url: '/complaintDetail/:aid',
        views: {
          'tab-center': {
            templateUrl: 'templates/complaintDetail.html',
            controller: 'ComplaintDetailController'
          }
        }
      })
      //头像
      .state('tab.avatar', {
        url: '/avatar',
        views: {
          'tab-center': {
            templateUrl: 'templates/avatar.html',
            controller: 'AvatarController'
          }
        }
      })
      //修改信息
      .state('tab.setUserInfo', {
        url: '/setUserInfo',
        views: {
          'tab-center': {
            templateUrl: 'templates/setUserInfo.html',
            controller: 'SetUserInfoController'
          }
        }
      })
      //导游类型
      .state('tab.guiderType', {
        url: '/guiderType',
        views: {
          'tab-center': {
            templateUrl: 'templates/guiderType.html',
            controller: 'GuiderTypeController'
          }
        }
      })
      //生活照
      .state('tab.livePhotos', {
        url: '/livePhotos',
        views: {
          'tab-center': {
            templateUrl: 'templates/livePhotos.html',
            controller: 'LivePhotosController'
          }
        }
      })//证件照
      .state('tab.voucher', {
        url: '/voucher',
        views: {
          'tab-center': {
            templateUrl: 'templates/voucher.html',
            controller: 'VoucherController'
          }
        }
      })
      //证件照
      .state('tab.voucherPhotos', {
        url: '/voucherPhotos',
        views: {
          'tab-center': {
            templateUrl: 'templates/voucherPhotos.html',
            controller: 'VoucherPhotosController'
          }
        }
      })
      //所会语种
      .state('tab.languages', {
        url: '/languages',
        views: {
          'tab-center': {
            templateUrl: 'templates/languages.html',
            controller: 'LanguagesController'
          }
        }
      })
      //公司资料
      .state('tab.company', {
        url: '/company',
        views: {
          'tab-center': {
            templateUrl: 'templates/company.html',
            controller: 'CompanyController'
          }
        }
      })
      //绑定供应商
      .state('tab.bindingSupplier', {
        url: '/bindingSupplier',
        views: {
          'tab-center': {
            templateUrl: 'templates/bindingSupplier.html',
            controller: 'BindingSupplierController'
          }
        }
      })
      //账户明细
      .state('tab.accountDetail', {
        url: '/accountDetail',
        views: {
          'tab-center': {
            templateUrl: 'templates/accountDetail.html',
            controller: 'AccountDetailController'
          }
        }
      })
      //绑定账号
      .state('tab.bindingAccount', {
        url: '/bindingAccount/:type',
        views: {
          'tab-center': {
            templateUrl: 'templates/bindingAccount.html',
            controller: 'BindingAccountController'
          }
        }
      })
      //申请提现
      .state('tab.withdraw', {
        url: '/withdraw',
        views: {
          'tab-center': {
            templateUrl: 'templates/withdraw.html',
            controller: 'WithdrawController'
          }
        }
      })
      //提现记录
      .state('tab.record', {
        url: '/record',
        views: {
          'tab-center': {
            templateUrl: 'templates/record.html',
            controller: 'RecordController'
          }
        }
      })
      //修改密码
      .state('tab.modifyPwd', {
        url: '/modifyPwd',
        views: {
          'tab-center': {
            templateUrl: 'templates/modifyPwd.html',
            controller: 'ModifyPwdController'
          }
        }
      })
      //评价导游
      .state('tab.evaluate', {
        url: '/evaluate',
        views: {
          'tab-center': {
            templateUrl: 'templates/evaluate.html',
            controller: 'EvaluateController'
          }
        }
      })
      //评论列表
      .state('tab.comment', {
        url: '/comment/:aid',
        views: {
          'tab-home': {
            templateUrl: 'templates/comment.html',
            controller: 'CommentController'
          }
        }
      })
    ;
    $urlRouterProvider.otherwise('main');
        // if none of the above states are matched, use this as the fallback
    });
