/**
 * Created by sangcixiang on 16/9/9.
 */
angular.module('center.controllers', ['starter.config'])
  //个人中心
  .controller('CenterController', function($scope,$state,$rootScope,$ionicHistory,$ionicLoading,UserService,configURL,httpGet) {

    $scope.title = '我的';
    var token;
    $scope.$on('$ionicView.beforeEnter', function() {
      $scope.userAccount = UserService.getAuth();
      token = $scope.userAccount.token;
      $scope.enterTyep = $scope.userAccount.enterType;
      $scope.user = UserService.getUserInfo();

      $scope.mainURL = configURL.mainUrl;
      if($scope.user.company){
        $scope.company = $scope.user.company.name
      }else{
        $scope.company = '还未绑定供应商'
      }

    });
    //监听数据改变
    $scope.$on('updata',function(){
        var url = configURL.mainUrl+configURL.getUserInfoUrl;
        httpGet.sendGet(url,{token:token}).success(function(data){
          if(data.company){
            $scope.company = data.company.name
          }else{
            $scope.company = '还未绑定供应商'
          }
          $scope.user = data;
          UserService.saveUserInfo(data);
        }).error(function(data){

          $ionicLoading.show({
            template: '网络有点差',
            duration:'1000'
          });
        });
    });
    $scope.back = function(){
      var url = $scope.mainURL + configURL.logout;
      var token = UserService.getAuth().token;

      httpGet.sendGet(url,{token:token}).success(function(data){
        if(data.httpStatusCode == 200){

          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
          localStorage.removeItem('authData');
          localStorage.removeItem('userInfo');
          $ionicHistory.clearCache();
          $ionicHistory.clearHistory();
          $state.go('login');
        }
      }).error(function(d){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
})
  //基本资料
  .controller('BasicInfoController', function($scope,$rootScope,UserService,$ionicLoading,$state,$cordovaActionSheet,$cordovaDatePicker,$cordovaCamera,$ionicHistory,httpPost,httpGet,fileReader,configURL) {
    $scope.title = '基本资料';
    $scope.url = configURL.mainUrl;
    $scope.user = UserService.getUserInfo();
    $scope.avatar = $scope.user.headPortrait;
    $scope.mainURL = configURL.mainUrl;
    $scope.account = UserService.getAuth();
    $scope.company = $scope.user.company;
    $scope.gotoBack = function() {
      $ionicHistory.goBack();
    };
    //监听数据改变
    $scope.$on('updata',function(e){
      $scope.user = UserService.getUserInfo();
    });
    $scope.$on('$destroy',function(){
      $rootScope.$broadcast('updata');
    })
    $scope.goto = function(){
      $state.go('tab.setUserInfo');
    }

  })
  //修改信息
  .controller('SetUserInfoController', function($scope,$rootScope,$state,$cordovaActionSheet,$cordovaDatePicker,$ionicLoading,$http,UserService,httpGet,httpPost,configURL) {

    $scope.title='修改资料';
    $scope.user = UserService.getUserInfo();  //用户信息

    $scope.url = configURL.mainUrl;
    $scope.company = $scope.user.company;     //公司信息
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    //设置性别
    $scope.selectSex = function(){
      var ActionSheetOptions = {
        title: '提示',
        buttonLabels: ['男', '女'],
        addCancelButtonWithLabel: '取消',
        androidEnableCancelButton : true,
        winphoneEnableCancelButton : true
      };
      $cordovaActionSheet.show(ActionSheetOptions)
        .then(function(btnIndex) {
          if(btnIndex == 1){
            $scope.user.sex = true;
          }else if(btnIndex == 2){
            $scope.user.sex = false;
          }
        });
    };
    //设置日期
    $scope.openDatePicker = function(index) {
      var options = {
        date: new Date(),
        mode: 'date', // or 'time'
        minDate: new Date(1970,1,1),
        allowOldDates: true,
        allowFutureDates: true,
        doneButtonLabel: '完成',
        doneButtonColor: '#007aff',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#007aff'
      };
      $cordovaDatePicker.show(options).then(function(date){
        if(index == 2){   //保险到期时间
          $scope.user.insuranceExpirationTime = date;
        }else if(index == 1){  //生日
          $scope.user.birthday = date;
        }
      });
    };
    //设置证件等级
    $scope.openAction = function(){
      var btns = ['全职导游', '兼职导游'];
      var ActionSheetOptions = {
        title: '提示',
        buttonLabels: btns,
        addCancelButtonWithLabel: '取消',
        androidEnableCancelButton : true,
        winphoneEnableCancelButton : true
      };
      $cordovaActionSheet.show(ActionSheetOptions)
        .then(function(btnIndex) {
          if(btnIndex == 1){
            $scope.user.level = '全职导游';
          }else if(btnIndex == 2){
            $scope.user.level = '兼职导游';
          }
        });
    };
    $scope.goto = function(id){

      if(id == 0){
        $state.go('tab.avatar');
      }else if(id == 1){
        $state.go('tab.voucher');

      }else if(id == 2){
        $state.go('tab.livePhotos');
      }
      UserService.saveUserInfo($scope.user);
    }

    $scope.saveInfo = function() {
      var user = $scope.user;
      var insuranceExpirationTime = new Date(user.insuranceExpirationTime).Format('yyyy-MM-dd');
      var birthday = new Date(user.birthday).Format('yyyy-MM-dd');
      $scope.data = {
        alipay:user.alipay, token:token, birthday: birthday,
        city:user.city, icCode:user.icCode, contactTel:user.contactTel,
        credentials:user.credentials, identityId:user.identityId,
        identityPhoto:user.identityPhoto, headPortrait:user.headPortrait,
        insuranceExpirationTime:insuranceExpirationTime, internationalLeaderCode:user.internationalLeaderCode,
        internationalLeaderPhoto:user.internationalLeaderPhoto, introduce:user.introduce, languages:user.languages,
        level:user.level, lifePhoto:user.lifePhoto, mobile:user.mobile, name:user.name, origin:user.origin,
        passportPhoto:user.passportPhoto, qq:user.qq, sex:user.sex, honour:user.honour, speciality:user.speciality,
        tiawanLeaderCode:user.tiawanLeaderCode, tiawanLeaderPhoto:user.tiawanLeaderPhoto, weChatAccount:user.weChatAccount,
        cityCode:user.cityCode,province:user.province,provinceCode:user.provinceCode
      };
      $ionicLoading.show({template: '提交资料中...'});
      var url = configURL.mainUrl + configURL.updateGuider;
      $http.post(url,$scope.data).success(function(data){
        if(data.httpStatusCode==200){
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
          UserService.saveUserInfo(data.result);
        }else{
          $ionicLoading.show({
            template: data.errors,
            duration:'1000'
          });
        }
      }).error(function(data){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    };

    //监听语种设置
    $scope.$on('LanguagesChangePush',function(e,r){
      $scope.user.languages = r.toString();

    });
    //监听城市设置
    $scope.$on('CitysChangePush',function(e,r){

      $scope.user.city = r.city;
      $scope.user.cityCode = r.cityCode;
      $scope.user.province = r.province;
      $scope.user.provinceCode= r.provinceCode;
    });
    $scope.$on('origin',function(e,r){

      $scope.user.origin = r;

    });
    //监听数据改变
    $scope.$on('updata',function(e,r){

      $scope.user = UserService.getUserInfo();

    });
    $scope.$on('guiderType',function(e,r){
      if(r == 1){
        $scope.user.level = '全职导游';
      }else if(r == 2){
        $scope.user.level = '兼职导游';
      }
    })
    $scope.$on('$destroy',function(){
        $rootScope.$broadcast('updata');
    })
  })
  //头像
  .controller('AvatarController', function($scope,$rootScope,$stateParams,$cordovaActionSheet,$http,$cordovaCamera,UserService,httpGet,configURL,$ionicLoading) {

    $scope.title='头像';
    $scope.url = configURL.mainUrl;
    var user = UserService.getUserInfo();
    var token = UserService.getAuth().token;
    $scope.$on('$ionicView.afterEnter', function() {
      user = UserService.getUserInfo();
    }, false);
    $scope.$on('$destroy',function(){
      $rootScope.$broadcast('updata');
    })
    var url = configURL.mainUrl;
    var width = $('#avatar').width(); //屏幕宽度
    var height =  $('.scroll-content').height();  //屏幕高度
    var header_height = $('ion-header-bar').height(); //导航高度
    //var margin_Top = (height - width - header_height - 20)/2;
    $('#avatar').css('margin-top','50px');
    $('#myImg').height(width);

    $scope.avatarUrl = url + user.headPortrait;
    //选择头像
    $scope.actionSheet = function(){
      var options = {
        quality : 100,
        allowEdit : true,
        encodingType : Camera.EncodingType.JPEG,
        targetWidth : width,
        targetHeight : width,
        popoverOptions : CameraPopoverOptions,
        correctOrientation : true,
        destinationType : Camera.DestinationType.DATA_URL,
        sourceType:Camera.PictureSourceType.PHOTOLIBRARY,
        saveToPhotoAlbum : false  //保存相片
      };
      $cordovaCamera.getPicture(options).then(function(imageData) {
        var image = document.getElementById('myImg');
        image.src = "data:image/jpeg;base64," + imageData;
        upload(image.src);
      }, function(err) {
      });
    };
    function upload(imageData){
      var xhr = new XMLHttpRequest();
      var upLoadURL = url+configURL.uploadFileURL;
      xhr.open("POST",upLoadURL,true);
      xhr.onreadystatechange = function () {
        if(xhr.status == 200){
          $ionicLoading.show({template: '图片上传中...'});
          var imageUrl = JSON.parse(xhr.responseText).url;
          user.headPortrait = imageUrl;
          UserService.saveUserInfo(user);
          var insuranceExpirationTime = new Date(user.insuranceExpirationTime).Format('yyyy-MM-dd');
          var birthday = new Date(user.birthday).Format('yyyy-MM-dd');
          $scope.data = {
            alipay:user.alipay, token:token, birthday: birthday,
            city:user.city, icCode:user.icCode, contactTel:user.contactTel,
            credentials:user.credentials, identityId:user.identityId,
            identityPhoto:user.identityPhoto, headPortrait:user.headPortrait,
            insuranceExpirationTime:insuranceExpirationTime, internationalLeaderCode:user.internationalLeaderCode,
            internationalLeaderPhoto:user.internationalLeaderPhoto, introduce:user.introduce, languages:user.languages,
            level:user.level, lifePhoto:user.lifePhoto, mobile:user.mobile, name:user.name, origin:user.origin,
            passportPhoto:user.passportPhoto, qq:user.qq, sex:user.sex, honour:user.honour, speciality:user.speciality,
            tiawanLeaderCode:user.tiawanLeaderCode, tiawanLeaderPhoto:user.tiawanLeaderPhoto, weChatAccount:user.weChatAccount,
            cityCode:user.cityCode,province:user.province,provinceCode:user.provinceCode
          };
          var url = configURL.mainUrl + configURL.updateGuider;
          $http.post(url,$scope.data).success(function(data){
            if(data.httpStatusCode==200){
              $ionicLoading.show({
                template: data.httpStatusDesc,
                duration:'1000'
              });
              UserService.saveUserInfo(data.result);
            }else{
              $ionicLoading.show({
                template: data.errors,
                duration:'1000'
              });
            }
          }).error(function(data){
            $ionicLoading.show({
              template: '网络异常',
              duration:'1000'
            });
          });
        }else{
        }
      };
      var fd = new FormData();
      fd.append("imgFileBase64", imageData);
      fd.append("imgFileFileName", "avatar.jpg");
      xhr.send(fd);
    }
    $scope.$on('$destroy',function(){
      $rootScope.$broadcast('updata');
    })
  })
  //证件照
  .controller('VoucherController', function($scope,$rootScope,$http,$cordovaCamera,$ionicLoading,UserService,httpGet,configURL) {
    $scope.title='证件照';
    $scope.url = configURL.mainUrl;
    $scope.user = UserService.getUserInfo();
    if($scope.user.credentials){
      $scope.credentials = $scope.user.credentials.split(',');
    }else{
      $scope.credentials = new Array(2);
    }
    $scope.$on('$ionicView.afterEnter', function() {
      $scope.user = UserService.getUserInfo();
      if($scope.user.credentials){
        $scope.credentials = $scope.user.credentials.split(',');
      }else{
        $scope.credentials = new Array(2);
      }
    }, false);
    var width = $('#photos').width(); //屏幕宽度
    var imgWH = (width - 40) / 3;
    $('.imageBox').width(imgWH);
    $('.imageBox').height(imgWH+30);
    var isEditor = true;
    //显示删除按钮
    $scope.showcolse = false;
    $scope.editStr = '编辑';
    //编辑图片
    $scope.editor = function(){
      if(isEditor){
        $scope.showcolse = !$scope.showcolse;
        $scope.editStr = $scope.showcolse ? '完成':'编辑';
      }
    };

    //移除图片
    $scope.remove = function(index){
      switch (index){
        case 0:
          $scope.user.passportPhoto = null;
          break;
        case 1:
          $scope.user.identityPhoto = null;
          break;
        case 2:
          $scope.user.internationalLeaderPhoto = null;
          break;
        case 3:
          $scope.user.tiawanLeaderPhoto = null;
          break;
        case 4:
          $scope.credentials[0] = '';
          $scope.user.credentials = $scope.credentials.toString();
          break;
        case 5:
          $scope.credentials[1] = '';
          $scope.user.credentials = $scope.credentials.toString();
          break;
      }
      UserService.saveUserInfo($scope.user);
      var user = $scope.user;
      var insuranceExpirationTime = new Date(user.insuranceExpirationTime).Format('yyyy-MM-dd');
      var birthday = new Date(user.birthday).Format('yyyy-MM-dd');
      var token = UserService.getAuth().token;
      $scope.data = {
        alipay:user.alipay, token:token, birthday: birthday,
        city:user.city, icCode:user.icCode, contactTel:user.contactTel,
        credentials:user.credentials, identityId:user.identityId,
        identityPhoto:user.identityPhoto, headPortrait:user.headPortrait,
        insuranceExpirationTime:insuranceExpirationTime, internationalLeaderCode:user.internationalLeaderCode,
        internationalLeaderPhoto:user.internationalLeaderPhoto, introduce:user.introduce, languages:user.languages,
        level:user.level, lifePhoto:user.lifePhoto, mobile:user.mobile, name:user.name, origin:user.origin,
        passportPhoto:user.passportPhoto, qq:user.qq, sex:user.sex, honour:user.honour, speciality:user.speciality,
        tiawanLeaderCode:user.tiawanLeaderCode, tiawanLeaderPhoto:user.tiawanLeaderPhoto, weChatAccount:user.weChatAccount,
        cityCode:user.cityCode,province:user.province,provinceCode:user.provinceCode
      };
      var url = configURL.mainUrl + configURL.updateGuider;
      $http.post(url,$scope.data).success(function(r){
        if(r.httpStatusCode==200){
          $ionicLoading.show({
            template: r.httpStatusDesc,
            duration:'1000'
          });
          UserService.saveUserInfo(r.result);
        }else{
          $ionicLoading.show({
            template:'操作失败',
            duration:'1000'
          });
        }
      }).error(function(data){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }

    $scope.openImagePicker = function(id){
      var options = {
        quality : 100,
        allowEdit : false,
        encodingType : Camera.EncodingType.JPEG,
        //targetWidth : width,
        //targetHeight : width,
        popoverOptions : CameraPopoverOptions,
        correctOrientation : true,
        destinationType : Camera.DestinationType.DATA_URL,
        sourceType:Camera.PictureSourceType.PHOTOLIBRARY,
        saveToPhotoAlbum:false
      };

      $cordovaCamera.getPicture(options).then(function(imageData) {
        var imageFile = "data:image/jpeg;base64," + imageData;
        var img = document.getElementById('img'+id);
        img.src = imageFile;
        upload(imageFile,id);
      }, function(err) {

      });
    };

    function upload(imageData,id){
      $ionicLoading.show({
        template: '图片上传中...'
      });
      var xhr = new XMLHttpRequest();
      var upLoadURL = $scope.url+configURL.uploadFileURL;
      xhr.open("POST",upLoadURL,true);
      xhr.onreadystatechange = function () {
        if(xhr.status == 200){
          var imageUrl = JSON.parse(xhr.responseText).url;
          switch (id){
            case 0:
              $scope.user.passportPhoto = imageUrl;
              break;
            case 1:
              $scope.user.identityPhoto = imageUrl;
              break;
            case 2:
              $scope.user.internationalLeaderPhoto = imageUrl;
              break;
            case 3:
              $scope.user.tiawanLeaderPhoto = imageUrl;
              break;
            case 4:
              $scope.credentials[0] = imageUrl;
              break;
            case 5:
              $scope.credentials[1] = imageUrl;
              break;
          }
          UserService.saveUserInfo($scope.user);
          var user = $scope.user;
          var insuranceExpirationTime = new Date(user.insuranceExpirationTime).Format('yyyy-MM-dd');
          var birthday = new Date(user.birthday).Format('yyyy-MM-dd');
          var token = UserService.getAuth().token;
          $scope.user.credentials = $scope.credentials.toString();
          $scope.data = {
            alipay:user.alipay, token:token, birthday: birthday,
            city:user.city, icCode:user.icCode, contactTel:user.contactTel,
            credentials:user.credentials, identityId:user.identityId,
            identityPhoto:user.identityPhoto, headPortrait:user.headPortrait,
            insuranceExpirationTime:insuranceExpirationTime, internationalLeaderCode:user.internationalLeaderCode,
            internationalLeaderPhoto:user.internationalLeaderPhoto, introduce:user.introduce, languages:user.languages,
            level:user.level, lifePhoto:user.lifePhoto, mobile:user.mobile, name:user.name, origin:user.origin,
            passportPhoto:user.passportPhoto, qq:user.qq, sex:user.sex, honour:user.honour, speciality:user.speciality,
            tiawanLeaderCode:user.tiawanLeaderCode, tiawanLeaderPhoto:user.tiawanLeaderPhoto, weChatAccount:user.weChatAccount,
            cityCode:user.cityCode,province:user.province,provinceCode:user.provinceCode
          };
          var imgs = {
            passportPhoto:user.passportPhoto,
            identityPhoto:user.identityPhoto,
            internationalLeaderPhoto:user.internationalLeaderPhoto,
            tiawanLeaderPhoto:user.tiawanLeaderPhoto,
            credentials:$scope.credentials.toString()
          }
          var url = configURL.mainUrl + configURL.updateGuider;
          $http.post(url,$scope.data).success(function(data){
            if(data.httpStatusCode==200){
              $ionicLoading.show({
                template: data.httpStatusDesc,
                duration:'1000'
              });
              UserService.saveUserInfo(data.result);

            }else{
              $ionicLoading.show({
                template: data.errors,
                duration:'1000'
              });
            }
          }).error(function(data){
            $ionicLoading.show({
              template: '网络异常',
              duration:'1000'
            });
          });
        }else{
          $ionicLoading.show({
            template: '图片上传失败!',
            duration:'1000'
          });
        }
      };
      var fd = new FormData();
      fd.append("imgFileBase64", imageData);
      fd.append("imgFileFileName", "avatar.jpg");
      xhr.send(fd);
    }

    var height = $('#content').height(); //屏幕宽度
    var navHeight = $('ion-header-bar').height();
    var imageBgH = height - navHeight - 10;
    $("#imageView").height(imageBgH);
    $scope.shouBigImage = function (imageName) {
      $scope.Url = imageName;
      $('#image').on('load',function(){
        var imageH = $(this).height();
        var marTop = (imageBgH - imageH)/2;
        $(this).css("marginTop",marTop);

      })
      $('#content').css('background-color','black');
      isEditor = false;
      $scope.navHide = true;
      $("#imageView").fadeIn("slow");
    };
    $scope.hideBigImage = function () {
      isEditor = true;
      $scope.navHide = false;
      $('#content').css('background-color','white');
      $("#imageView").fadeOut("slow");
    };
    $scope.$on('$destroy',function(){
      $rootScope.$broadcast('updata');
    })
  })
  //生活照
  .controller('LivePhotosController', function($scope,$rootScope,$cordovaActionSheet,$cordovaCamera,$ionicLoading,$http,UserService,httpGet,configURL) {
    $scope.title='生活照';
    $scope.url = configURL.mainUrl;
    $scope.user = UserService.getUserInfo();
    $scope.scrollView = true;
    $scope.hide = function(){
      $scope.scrollView = true;
    }
    $scope.show = function(){
      $scope.scrollView = false;
    }
    $scope.$on('updata', function() {
      $scope.user = UserService.getUserInfo();
    });
    if($scope.user.lifePhoto != undefined ){
      if($scope.user.lifePhoto.length > 10){
        $scope.livePhotos = $scope.user.lifePhoto.split(',');
      }else $scope.livePhotos = [];
    }else $scope.livePhotos = [];
    var width = $('#photos').width(); //屏幕宽度
    var imgWH;  //图片宽高
    if(width <= 320){
      imgWH = (width - 40) / 3;
    }else{
      imgWH = (width - 50) / 4;
    }
    $scope.$on('$ionicView.afterEnter', function() {
      $(".imageBox").each(function(){
        $(this).width(imgWH);
        $(this).height(imgWH);
      });
    });

    var isEditor = true;
    $scope.navHide = false;
    //显示删除按钮
    $scope.showcolse = false;
    $scope.editStr = '编辑';
    //编辑图片
    $scope.editor = function(){
      if(isEditor){
        $scope.showcolse = !$scope.showcolse;
        $scope.editStr = $scope.showcolse ? '完成':'编辑';
      }
    };
    //移除图片
    $scope.remove = function(index){
      $scope.livePhotos.splice(index,1);
      $scope.user.lifePhoto = $scope.livePhotos.toString();
      UserService.saveUserInfo($scope.user);
      var user = $scope.user;
      var insuranceExpirationTime = new Date(user.insuranceExpirationTime).Format('yyyy-MM-dd');
      var birthday = new Date(user.birthday).Format('yyyy-MM-dd');
      var token = UserService.getAuth().token;
      $scope.data = {
        alipay:user.alipay, token:token, birthday: birthday,
        city:user.city, icCode:user.icCode, contactTel:user.contactTel,
        credentials:user.credentials, identityId:user.identityId,
        identityPhoto:user.identityPhoto, headPortrait:user.headPortrait,
        insuranceExpirationTime:insuranceExpirationTime, internationalLeaderCode:user.internationalLeaderCode,
        internationalLeaderPhoto:user.internationalLeaderPhoto, introduce:user.introduce, languages:user.languages,
        level:user.level, lifePhoto:user.lifePhoto, mobile:user.mobile, name:user.name, origin:user.origin,
        passportPhoto:user.passportPhoto, qq:user.qq, sex:user.sex, honour:user.honour, speciality:user.speciality,
        tiawanLeaderCode:user.tiawanLeaderCode, tiawanLeaderPhoto:user.tiawanLeaderPhoto, weChatAccount:user.weChatAccount,
        cityCode:user.cityCode,province:user.province,provinceCode:user.provinceCode
      };
      var url = configURL.mainUrl + configURL.updateGuider;
      $http.post(url,$scope.data).success(function(r){
        if(r.httpStatusCode==200){
          $ionicLoading.show({
            template: r.httpStatusDesc,
            duration:'1000'
          });
          UserService.saveUserInfo(r.result);
        }else{
          $ionicLoading.show({
            template:'操作失败',
            duration:'1000'
          });
        }
      }).error(function(data){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
  }
    //添加图片
    $scope.addPhoto = function(){
      var options = {
        quality : 100,
        allowEdit : false,
        encodingType : Camera.EncodingType.JPEG,
        //targetWidth : width,
        //targetHeight : width,
        popoverOptions : CameraPopoverOptions,
        correctOrientation : true,
        destinationType : Camera.DestinationType.DATA_URL,
        sourceType:Camera.PictureSourceType.PHOTOLIBRARY,
        saveToPhotoAlbum:false
      };
      $cordovaCamera.getPicture(options).then(function(imageData) {
        var imageFile = "data:image/jpeg;base64," + imageData;
        upload(imageFile);
      }, function(err) {
        $ionicLoading.show({
          template: '打开相册失败!',
          duration:'1000'
        });
      });
    };
    //上传图片
    function upload(imageData){
      $ionicLoading.show({template: '图片上传中...'});
      var xhr = new XMLHttpRequest();
      var upLoadURL = $scope.url+configURL.uploadFileURL;
      xhr.open("POST",upLoadURL,true);
      var img = '';
      xhr.onreadystatechange = function (){
        if(xhr.status == 200){
          var imageUrl = JSON.parse(xhr.responseText).url;
          if(img != imageUrl){
            img = imageUrl;
            $scope.livePhotos.push(imageUrl);
          }
          $(".imageBox").each(function(){
            $(this).width(imgWH);
            $(this).height(imgWH);
          });
          $scope.user.lifePhoto = $scope.livePhotos.toString();
          UserService.saveUserInfo($scope.user);
          var user = $scope.user;
          var insuranceExpirationTime = new Date(user.insuranceExpirationTime).Format('yyyy-MM-dd');
          var birthday = new Date(user.birthday).Format('yyyy-MM-dd');
          var token = UserService.getAuth().token;
          $scope.data = {
            alipay:user.alipay, token:token, birthday: birthday,
            city:user.city, icCode:user.icCode, contactTel:user.contactTel,
            credentials:user.credentials, identityId:user.identityId,
            identityPhoto:user.identityPhoto, headPortrait:user.headPortrait,
            insuranceExpirationTime:insuranceExpirationTime, internationalLeaderCode:user.internationalLeaderCode,
            internationalLeaderPhoto:user.internationalLeaderPhoto, introduce:user.introduce, languages:user.languages,
            level:user.level, lifePhoto:user.lifePhoto, mobile:user.mobile, name:user.name, origin:user.origin,
            passportPhoto:user.passportPhoto, qq:user.qq, sex:user.sex, honour:user.honour, speciality:user.speciality,
            tiawanLeaderCode:user.tiawanLeaderCode, tiawanLeaderPhoto:user.tiawanLeaderPhoto, weChatAccount:user.weChatAccount,
            cityCode:user.cityCode,province:user.province,provinceCode:user.provinceCode
          };
          var url = configURL.mainUrl + configURL.updateGuider;
          $http.post(url,$scope.data).success(function(r){
            if(r.httpStatusCode==200){
              $ionicLoading.show({
                template: r.httpStatusDesc,
                duration:'1000'
              });
              UserService.saveUserInfo(r.result);
            }else{
              $ionicLoading.show({
                template:'操作失败',
                duration:'1000'
              });
            }
          }).error(function(data){
            $ionicLoading.show({
              template: '网络异常',
              duration:'1000'
            });
          });
        }else{
          $ionicLoading.show({
            template: '上传失败',
            duration:'1000'
          });
        }
      };
      var fd = new FormData();
      fd.append("imgFileBase64", imageData);
      fd.append("imgFileFileName", "avatar.jpg");
      xhr.send(fd);
    }
    $scope.$on('$destroy',function(){
      $rootScope.$broadcast('updata');
    })

    var height = $('#content').height(); //屏幕宽度
    var navHeight = $('ion-header-bar').height();
    var imageBgH = height - navHeight - 10;
    $("#imageView").height(imageBgH);

    $scope.shouBigImage = function (imageName) {
      $scope.Url = imageName;
      $('#image').on('load',function(){
        var imageH = $(this).height();
        var marTop = (imageBgH - imageH)/2;
        $(this).css("marginTop",marTop);

      })
      $('#content').css('background-color','black');
      isEditor = false;
      $scope.navHide = true;
      $("#imageView").fadeIn("slow");
    };
    $scope.hideBigImage = function () {
      isEditor = true;
      $scope.navHide = false;
      $('#content').css('background-color','white');
      $("#imageView").fadeOut("slow");
    };
  })
  //语言列表
  .controller('LanguagesController', function($scope,$rootScope,UserService) {
    $scope.title='语言';
    var user = UserService.getUserInfo();
    $scope.$on('$ionicView.afterEnter', function() {
      user = UserService.getUserInfo();
    }, false);
    $scope.languages = [
      {name:'中文', check:false},
      {name:'英语', check:false},
      {name:'法语', check:false},
      {name:'日语', check:false},
      {name:'韩语', check:false},
      {name:'泰语', check:false},
      {name:'印尼语', check:false},
      {name:'越南语', check:false},
      {name:'俄语', check:false},
      {name:'西班牙语', check:false},
      {name:'德语', check:false},
      {name:'其它', check:false}
    ];

    if(user.languages){
      var userLang = user.languages.split(',');
      for(var i=0;i<userLang.length;i++){
        for(var j=0;j<$scope.languages.length;j++){
          if(userLang[i] === $scope.languages[j].name){
            $scope.languages[j].check = true;
          }
        }
      }
    }
    $scope.$on('$destroy',function(){
      var selectLanguages = [];
      for(var i=0;i<$scope.languages.length;i++){
        if($scope.languages[i].check){
          selectLanguages.push($scope.languages[i].name);
        }
      }
      //页面返回时发送通知
      $rootScope.$broadcast('LanguagesChangePush',selectLanguages);
    });
  })
  //城市列表
  .controller('OriginController', function($scope,$rootScope,UserService,httpGet,$ionicHistory,configURL) {
    $scope.title='省份';
    var user = UserService.getUserInfo();
    var url = configURL.mainUrl + configURL.citysUrl;
    var token = UserService.getAuth().token;
    httpGet.sendGet(url,{token:token,pcode:100000,pageSize:1000}).success(function(d){
      $scope.area = d;
    }).error(function(d){
      $ionicLoading.show({
        template: '网络异常',
        duration:'1000'
      });
    });
    $scope.goBack = function(subCode){
      $scope.origin = subCode;
      $ionicHistory.goBack();
    }
    $scope.$on('$destroy',function(){
      if($scope.origin){
        $rootScope.$broadcast('origin',$scope.origin);
      }
      //页面返回时发送通知

    });
  })
  //城市列表
  .controller('CitysController', function($scope,$rootScope,UserService,httpGet,configURL) {
    $scope.title='国家';
    var user = UserService.getUserInfo();
    var url = configURL.mainUrl + configURL.citysUrl;
    var token = UserService.getAuth().token;

    httpGet.sendGet(url,{token:token,pcode:0,pageSize:1000}).success(function(d){
      $scope.area = d;
    }).error(function(d){
      $ionicLoading.show({
        template: '网络异常',
        duration:'1000'
      });
    });
  })
  //城市列表
  .controller('SubTypeCitysController', function($scope,$rootScope,$stateParams,UserService,httpGet,configURL) {
    $scope.title='省份';
    var user = UserService.getUserInfo();
    var url = configURL.mainUrl + configURL.citysUrl;
    var token = UserService.getAuth().token;
    var code = $stateParams.code;
    httpGet.sendGet(url,{token:token,pcode:code,pageSize:1000}).success(function(d){
      $scope.area = d;
    }).error(function(d){
      $ionicLoading.show({
        template: '网络异常',
        duration:'1000'
      });
    });
  })
  //城市列表
  .controller('SubCitysController', function($scope,$rootScope,$state,$ionicHistory,$stateParams,UserService,httpGet,configURL) {
    $scope.title='城市';
    var user = UserService.getUserInfo();
    var url = configURL.mainUrl + configURL.citysUrl;
    var token = UserService.getAuth().token;

    var obj = JSON.parse($stateParams.code);

    var subCodes={};
    httpGet.sendGet(url,{token:token,pcode:obj.code,pageSize:1000}).success(function(d){
      $scope.area = d;
    }).error(function(d){
      $ionicLoading.show({
        template: '网络异常',
        duration:'1000'
      });
    });
    $scope.goBack = function(subCode){
      subCodes = subCode;

      $ionicHistory.goBack(-3);
    }

    $scope.$on('$destroy',function(){
      var citys = {
        provinceCode : obj.code,
        province : obj.name,
        cityCode:subCodes.code,
        city:subCodes.name
      };
      //页面返回时发送通知
      $rootScope.$broadcast('CitysChangePush',citys);
    });
  })
  //账户明细
  .controller('AccountDetailController', function($scope,$state,UserService,$ionicLoading,$ionicHistory,httpGet,configURL,$cordovaDatePicker) {
    $scope.title='账户明细';
    $scope.txBtn = '绑定提现账号';
    $scope.userInfo = UserService.getUserInfo();

    $scope.balance = ($scope.userInfo.balance).toFixed(2);
    $scope.hasNextPage = true;
    $scope.startDate = new Date().getTime();
    $scope.overDate = new Date().getTime();
    $scope.accountLists = [];
    $scope.showloading = true;
    //$scope.loadState = '点击加载更多...';
    var userAccount = UserService.getAuth();
    var url,type;
    var page = 1;
    var isload = false;
    var token = userAccount.token;
    var par = {guiderId:$scope.userInfo.id,token:token,pageNo:page,pageSize:30};
    getAccountDetail(par)
    //判断是否以绑定提现账号
    if(!$scope.userInfo.withdrawCashAlipayAccount || !$scope.userInfo.withdrawCashWeChatAccount){
      type = false;
    }else{
      type = true;
    }
    if(type){
      $scope.txBtn = '申请提现';
    }else{
      $scope.txBtn = '绑定提现账号';
    }
    getUserInfo();
    function getUserInfo(){
      url = configURL.mainUrl+configURL.getUserInfoUrl;
      httpGet.sendGet(url,{token:token}).success(function(data,status,config,headers){
        if(data.httpStatusCode == 100){
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
        }else{
          $scope.userInfo = data;
          $scope.balance = ($scope.userInfo.balance).toFixed(2);
          UserService.saveUserInfo(data);
        }
      }).error(function(data,status,config,headers){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }

    $scope.action = function(){
      if(type){
        $state.go('tab.withdraw',{type:1});
      }else{
        $state.go('tab.bindingAccount',{type:2});
      }
    };


    $scope.select_timer = function(id){
      var options = {
        date: new Date(),
        mode: 'date', // or 'time'
        minDate: new Date(1970,1,1),
        allowOldDates: true,
        allowFutureDates: true,
        doneButtonLabel: '完成',
        doneButtonColor: '#007aff',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#007aff'
      };
      $cordovaDatePicker.show(options).then(function(date){
        if(id == 1){
          $scope.startDate = date;
        }else{
          $scope.overDate = date;
        }
      })

    };
    //日期格式
    $scope.formatDate = function(time){
      var date = new Date(time);
      return date.getFullYear()+'-'+(date.getMonth()+1)+'-'+(date.getDate());
    };
    $scope.doRefresh = function(){
      $scope.accountLists = [];
      page = 1;
      par = {guiderId:$scope.userInfo.id,token:token,pageNo:page,pageSize:30};
      getUserInfo();
      getAccountDetail(par);
    };
    $scope.loadMore = function(){
      if(!isload){
        isload = true;
        par.pageNo ++;
        $scope.loadState = '正在加载...';
        getAccountDetail(par);
      }
    };
    function getAccountDetail(par){
      url = configURL.mainUrl + configURL.accountListData;
      httpGet.sendGet(url,par).success(function(data){
        if(!data.hasNext){
          $scope.loadState = '没有更多数据了...';
          isload = true;
        }else{
          $scope.loadState = '点击加载更多...';
          isload = false;
        }
        $scope.showloading = false;

        if(data.result && data.result <= 0){
          $ionicLoading.show({
            template:'没有查询到相关信息!',
            duration:'1000'
          });
        }
        for(var i=0;i<data.result.length;i++){
          $scope.accountLists.push(data.result[i]);
        }
        $scope.$broadcast('scroll.refreshComplete');
      }).error(function(data){
        $scope.showloading = false;
        $scope.$broadcast('scroll.refreshComplete');
        $scope.hasNextPage = false;
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }

    $scope.selected = function(){
      par = {
        guiderId:$scope.userInfo.id,
        startDate:$scope.formatDate($scope.startDate),
        endDate:$scope.formatDate($scope.overDate),
        token:token
      };
      $ionicLoading.show({
        template:'正在查询...',
        duration:'1000'
      });
      $scope.accountLists = [];
      getAccountDetail(par);
    }
  })
  //绑定账号
  .controller('BindingAccountController', function($scope,$rootScope,UserService,$ionicLoading,$stateParams,$ionicHistory,httpGet,configURL) {
    $scope.title = '绑定提现账号';
    $scope.user = UserService.getUserInfo();
    var token = UserService.getAuth().token;
    $scope.userAccount = {
      withdrawCashAlipayAccount:'',
      withdrawCashAlipayUserName:'',
      withdrawCashWeChatAccount:'',
      withdrawCashWeChatUserName:''
    };
    $scope.type = $stateParams.type;

    if($scope.user.withdrawCashAlipayAccount && $scope.user.withdrawCashAlipayAccount.length > 0){
      $scope.userAccount.withdrawCashAlipayAccount = $scope.user.withdrawCashAlipayAccount;
      $scope.userAccount.withdrawCashAlipayUserName = $scope.user.withdrawCashAlipayUserName;
    }else  $scope.alipay = '';

    if($scope.user.withdrawCashWeChatAccount && $scope.user.withdrawCashWeChatAccount.length > 0){
      $scope.userAccount.withdrawCashWeChatAccount = $scope.user.withdrawCashWeChatAccount;
      $scope.userAccount.withdrawCashWeChatUserName = $scope.user.withdrawCashWeChatUserName;
    }else  $scope.weChatAccount = '';

    $scope.save = function(parmas){
      parmas.token = token;

      if($scope.userAccount.withdrawCashWeChatAccount.length <= 0 || $scope.userAccount.withdrawCashWeChatUserName.length <= 0 || $scope.userAccount.withdrawCashAlipayAccount.length <= 0 ||$scope.userAccount.withdrawCashAlipayUserName.length <= 0 ){
        $ionicLoading.show({
          template:'提现账号信息不能有为空',
          duration:'1000'
        });
        return
      }
      var url = configURL.mainUrl + configURL.subDepositInfo;
      httpGet.sendGet(url,parmas).success(function(d){
        if(d.httpStatusCode == 200){
          $ionicLoading.show({
            template:'成功绑定账号',
            duration:'1000'
          });

          $scope.user.withdrawCashAlipayUserName = $scope.userAccount.withdrawCashAlipayUserName;
          $scope.user.withdrawCashAlipayAccount = $scope.userAccount.withdrawCashAlipayAccount;
          $scope.user.withdrawCashWeChatAccount = $scope.userAccount.withdrawCashWeChatAccount;
          $scope.user.withdrawCashWeChatUserName = $scope.userAccount.withdrawCashWeChatUserName;

          UserService.saveUserInfo($scope.user);
          $ionicHistory.goBack(-2);

          $rootScope.$broadcast('updateAccount');
        }
      }).error(function(d){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
  })
  //申请提现
  .controller('WithdrawController', function($scope,$state,UserService,$ionicLoading,$ionicHistory,$interval,httpGet,configURL) {
    $scope.title='申请提现';
    $scope.user = UserService.getUserInfo();
    $scope.balance = ($scope.user.balance).toFixed(2);
    var token = UserService.getAuth().token;
    var method = 0;
    if($scope.user.withdrawCashAlipayAccount && $scope.user.withdrawCashAlipayAccount.length>0){
      $scope.alipay = $scope.user.withdrawCashAlipayAccount;
      $scope.alipayBtn = '修改支付宝账号';
      $scope.accountType = '支付宝';
      $scope.account = $scope.alipay;
      method = 1;
    }else {
      $scope.alipay = false;
      $scope.alipayBtn = '绑定支付宝账号';
    }
    if($scope.user.withdrawCashWeChatAccount && $scope.user.withdrawCashWeChatAccount.length>0){

      $scope.wechat = $scope.user.withdrawCashWeChatAccount;

      if(!$scope.alipay){
        $scope.wechatBtn = '修改微信账号';
        $scope.account = $scope.wechat;
        $scope.accountType = '微信账号';
      }else{
        $scope.wechatBtn = '切换微信提现';
      }
    }else{
      $scope.wechat = false;
      $scope.wechatBtn = '绑定微信账号';
    }
    $scope.setAlipay = function(){
      if($scope.alipayBtn == '修改支付宝账号' || $scope.alipayBtn == '绑定支付宝账号'){
        $state.go('tab.bindingAccount',{type:1});
      }else if($scope.alipayBtn == '切换支付宝提现'){
        $scope.accountType = '支付宝';
        $scope.account = $scope.alipay;
        method = 1;
        $scope.alipayBtn = '修改支付宝账号';
        $scope.wechatBtn = '切换微信提现'
      }
    };
    $scope.setweChat = function(){

      if($scope.wechatBtn == '绑定微信账号' || $scope.wechatBtn == '修改微信账号'){

        $state.go('tab.bindingAccount',{type:2});

      }else if($scope.wechatBtn == '切换微信提现'){
        $scope.accountType = '微信账号';
        $scope.account = $scope.wechat;
        method = 2;
        $scope.alipayBtn = '切换支付宝提现';
        $scope.wechatBtn = '修改微信账号';
      }

    };
    $scope.parmas = {
      amount:'',
      yancode:'',
      userPassword:''
    }
    $scope.withdraw = function(parmas){
      var url = configURL.mainUrl + configURL.withdrawMoneyUrl;
      var type = '';
      if(method == 1){
        type = 'zhifubao'
      }else if(method == 2){
        type = 'weixin'
      }
      if(parmas.amount.length<=0){
        $ionicLoading.show({
          template: '请输入提现金额',
          duration:'1000'
        });
        return;
      }else if(parmas.yancode.length<=0){
        $ionicLoading.show({
          template: '请输入验证码',
          duration:'1000'
        });
        return;
      }else if(parmas.userPassword.length<=0){
        $ionicLoading.show({
          template: '请输入登录密码',
          duration:'1000'
        });
        return;
      }
      var parmas = {
        token:token,
        amount : parmas.amount,
        mobile : $scope.user.mobile,
        yancode: parmas.yancode,
        userPassword : parmas.userPassword,
        paymentMethod:type
      }
      httpGet.sendGet(url,parmas).success(function(d){

        if(d.httpStatusCode == 200){
          $ionicLoading.show({
            template: '提现申请已成功发送',
            duration:'1000'
          });
          $scope.parmas = {
            amount:'',
            yancode:'',
            userPassword:''
          }
          getUserInfo();
        }
      }).error(function(d){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      })
    };

    function getUserInfo(){
      var url = configURL.mainUrl+configURL.getUserInfoUrl;
      httpGet.sendGet(url,{token:token}).success(function(data){

        if(data.httpStatusCode == 100){
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
        }else{
          $scope.user = UserService.getUserInfo();
          $scope.balance = ($scope.user.balance).toFixed(2);
          UserService.saveUserInfo(data);
        }
      }).error(function(data){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
    $scope.paracont = "获取验证码";
    $scope.isDisabled = undefined;
    var second = 60, timePromise = undefined,over = true;
    $scope.getCode = function(){
      if(over){

        timePromise = $interval(function(){
          if(second<=0){
            $interval.cancel(timePromise);
            timePromise = undefined;
            second = 60;
            $scope.paracont = "重发验证码";
            $scope.isDisabled;
            over = true;
          }else{
            $scope.paracont = second + "秒后可重发";
            $scope.isDisabled = "disabled";
            second--;
            over = false;
          }
        },1000,100);
      }
      var url = configURL.mainUrl+configURL.mobileYanCode;
      httpGet.sendGet(url,{mobile:$scope.user.mobile}).success(function(d){

        if(d.httpStatusCode == 200){
          $ionicLoading.show({
            template: d.httpStatusDesc,
            duration:'1000'
          });
        }
      }).error(function(d){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
  })
  //提现记录
  .controller('RecordController',function($scope,$ionicLoading,httpGet,configURL,UserService){

    $scope.title = '提现记录';
    $scope.startDate = new Date().getTime();  //开始时间
    $scope.overDate = new Date().getTime();   //结果时间
    $scope.accountLists = [];
    var url = configURL.mainUrl + configURL.moneyListData;
    var user = UserService.getUserInfo();
    var token = UserService.getAuth().token;
    var page = 1;
    var parmas = {token:token, pageSize:30,page:page};
    $scope.showloading = true;
    getRecord(parmas);
    //上拉加载
    var isload = false;
    $scope.loadMore = function(){
      if(!isload){
        isload = true;
        $scope.loadState = '正在加载...';
        page ++;
        var parmas = {token:token, pageSize:30,page:page};
        getRecord(parmas);
      }
    };
    $scope.select_timer = function(id){
      var options = {
        date: new Date(),
        mode: 'date', // or 'time'
        minDate: new Date(1970,1,1),
        allowOldDates: true,
        allowFutureDates: true,
        doneButtonLabel: '完成',
        doneButtonColor: '#007aff',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#007aff'
      };
      $cordovaDatePicker.show(options).then(function(date){
        if(id == 1){
          $scope.startDate = date;
        }else{
          $scope.overDate = date;
        }
      })
    };
    $scope.selected = function(){
      page = 1;
      var parmas = {token:token, pageSize:30,page:page};
      parmas.starDate = new Date($scope.startDate).Format('yyyy-MM-dd');
      parmas.endDate = new Date($scope.overDate).Format('yyyy-MM-dd');

      $scope.accountLists = [];
      $ionicLoading.show({
        template:'正在查询',
        duration:'1000'
      });
      getRecord(parmas);
    };
    function getRecord(parmas){
      httpGet.sendGet(url,parmas).success(function(d){

        $scope.showloading = false;
        if(!d.hasNext){
          $scope.loadState = '没有更多数据了...';
          isload = true;
        }else{
          $scope.loadState = '点击加载更多...';
          isload = false;
        }
        if(d.result && d.result.length<=0){
          $ionicLoading.show({
            template:'没有相关信息',
            duration:'1000'
          });
        }
        page ++;
        for(var i=0;i<d.result.length;i++){
          if(d.result[i].paymentMethod == 'zhifubao'){
            d.result[i].paymentMethod = '支付宝';
          }else if(d.result[i].paymentMethod == 'weixin'){
            d.result[i].paymentMethod = '微信';
          }
          if(d.result[i].withdrawCashStatus == 'shengqing'){
            d.result[i].withdrawCashStatus = '申请中';
          }else if(d.result[i].withdrawCashStatus == 'yifukuan'){
            d.result[i].withdrawCashStatus = '已付款';
          }else if(d.result[i].withdrawCashStatus == 'zhifushibai'){
            d.result[i].withdrawCashStatus = '支付失败';
          }else if(d.result[i].withdrawCashStatus == 'jujue'){
            d.result[i].withdrawCashStatus = '拒绝';
          }
          $scope.accountLists.push(d.result[i]);
        }
      }).error(function(d){
        $scope.showloading = false;
        $ionicLoading.show({
          template:'网络异常',
          duration:'1000'
        });
      });
    }
  })
  //修改密码
  .controller('ModifyPwdController', function($scope,$ionicPopup,$ionicHistory,$ionicLoading,UserService,httpGet,configURL) {
    $scope.title='修改密码';
    var user = UserService.getAuth();
    var token = user.token;
    var url = configURL.mainUrl + configURL.setPwdUrl;
    $scope.setPwd = {
      userName:user.userName,
      oldPassword:'',
      userPassword:'',
      confirmUserPassword:'',
      token:token
    }
    $scope.submit = function(setPwd) {

      if(setPwd.oldPassword.length <= 0){
        $ionicPopup.alert({
          title:'提示',
          template:'请输入正确的手机号码'
        });
      }else if(setPwd.userPassword.length < 6){
        $ionicPopup.alert({
          title:'提示',
          template:'密码长度不能少于6位'
        });
      }else if(setPwd.confirmUserPassword != setPwd.userPassword){
        $ionicPopup.alert({
          title:'提示',
          template:'两次密码不一样'
        });
      };
      httpGet.sendGet(url,setPwd).success(function(data){
        if(data.httpStatusCode == 100){
          $ionicLoading.show({
            template: data.errors.message,
            duration:'1000'
          });
        }else{
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
          $ionicHistory.goBack();
        }
      }).error(function(data){

        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
  })
  //评论列表
  .controller('EvaluateController', function($scope,$rootScope,UserService,httpGet,configURL) {
    $scope.title='评论列表';
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    $scope.count = [[0],[0,1],[0,1,2],[0,1,2,3],[0,1,2,3,4]];
    var user = UserService.getUserInfo();
    $scope.mainUrl = configURL.mainUrl;
    var url = configURL.mainUrl+configURL.appraiseListData;
    var params = {
      pageNo:1,
      guiderId:user.id,
      token:token
    };
    getData();
    $scope.doRefresh = function(){
      getData();
    }

    $scope.showloading = true;

    function getData(){

      httpGet.sendGet(url,params).success(function(data){
        $scope.comment = data.result;

        $scope.showloading = false;
        $scope.$broadcast('scroll.refreshComplete');
      }).error(function(data){

        $scope.showloading = false;
        $scope.$broadcast('scroll.refreshComplete');
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
  })
  .controller('GuiderTypeController',function($scope,$rootScope,$ionicHistory,UserService){

    $scope.title = '职位';
    $scope.type = 0;
    var user = UserService.getUserInfo();
    if(user.level == '全职导游'){
      $scope.full = true;
      $scope.part = false;
    }
    if(user.level == '兼职导游'){
      $scope.full = false;
      $scope.part = true;
    }
    $scope.select = function(bool){
      if(bool == 1){
        $scope.full = true;
        $scope.part = false;
      }else{
        $scope.full = false;
        $scope.part = true;
      }
      $scope.type = bool;
      $ionicHistory.goBack();
    }

    $scope.$on('$destroy',function(){
      $rootScope.$broadcast('guiderType',$scope.type);
    })
  })
  //绑定供应商
  .controller('BindingSupplierController', function($scope,$rootScope,$ionicPopup,UserService,$ionicLoading,$ionicHistory,httpGet,configURL) {

    $scope.title = '绑定供应商';
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    var user = UserService.getUserInfo();
    var url;

    $scope.results = [];
    $scope.searchText = '';
    getUserInfo();
    function getUserInfo(){
      url = configURL.mainUrl+configURL.getUserInfoUrl;
      httpGet.sendGet(url,{token:token}).success(function(data){
        if(data.httpStatusCode == 100){
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
        }else{
          user = data;
          if(user.company != undefined){
            var company = user.company;
            search(company.name);
          }
          UserService.saveUserInfo(data);
        }
        $scope.$broadcast('scroll.refreshComplete');
      }).error(function(data){
        $scope.$broadcast('scroll.refreshComplete');
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
    $scope.doRefresh = function(){
      $scope.results = [];
      getUserInfo();
    };
    //绑定供应商
    $scope.binding = function(obj){
      if(!user.icCode || user.icCode.length<=0){
        alert();   // IC卡
        return;
      }else if(!user.insuranceExpirationTime || user.insuranceExpirationTime.length<=0){
        alert();    // 意外险到期时间
        return;
      }else if(!user.level || user.level.length<=0){
        alert();   // 全职还是兼职
        return;
      }else if(!user.languages || user.languages.length<=0){
        alert();   // 所会语言
        return;
      }else if(!user.identityId || user.identityId.length<=0){
        alert();     // 身份证号
        return;
      }else if(!user.passportPhoto || user.passportPhoto.length<=0){
        alert();     // 护照
        return;
      }else if(!user.identityPhoto || user.identityPhoto.length<=0){
        alert();     // I身份证照
        return;
      }else if(!user.contactTel || user.contactTel.length<=0){
        alert();     // 联系电话
        return;
      }else if(!user.city || user.city.length<=0){
        alert();     //所在城市
        return;
      }else if(!user.name || user.name.length<=0){
        alert();     //所在城市
        return;
      }
      bing(obj);
    };
    function alert(){
      $ionicPopup.alert({
        title:'温馨提示',
        template:'您好！请先完善您的资料以便我们能更好的为您服务！'
      })
    }
    function bing(obj){
      url = configURL.mainUrl+configURL.bindinSupplierUrl;
      var type;
      if(user.level == '全职导游'){
        type = true
      }else type=false;
      var parmas = {
        token:token,
        companyId:obj.id,
        guiderType:type
      };
      $ionicLoading.show({
        template:'申请中...'
      });
      httpGet.sendGet(url,parmas).success(function(data){

        if(data.httpStatusCode == 200){
          $ionicLoading.show({
            template:data.httpStatusDesc,
            duration:'1000'
          })
        }else if(data.httpStatusCode == 100){
          if(data.errors.company){
            $ionicLoading.show({
              template:data.errors.company,
              duration:'1000'
            })
          }else if(data.errors.guider){
            $ionicLoading.show({
              template:data.errors.guider,
              duration:'1000'
            })
          }
        }
      }).error(function(data){
        $ionicLoading.show({
          template:'网络异常',
          duration:'1000'
        })
      });
    }
    //搜索
    $scope.search = function (content) {
      $scope.results = [];
      $ionicLoading.show({
        template:'正在查询...'
      })
      search(content);
    };
    function search(name){
      url = configURL.mainUrl+configURL.getBindingUrl;
      httpGet.sendGet(url,{token:token,name:name}).success(function(data){

        if(data.httpStatusCode == 100){
          $ionicLoading.show({
            template:data.errors.companyId,
            duration:'1000'
          });
          return;
        }
        $ionicLoading.hide();
        data.result.forEach(function (obj) {
          if (user.company && obj.id == user.company.id) {
            if(user.contractStatus == 'yibangding'){
               obj.state = 1;   //已绑定
               obj.stateType = '已绑定';
            }else if(user.contractStatus == 'quxiaobangding'){
              obj.state = 2;    //取消绑定
              obj.stateType = '取消绑定中...';
            }else if(user.contractStatus == 'shenqingbangding'){
              obj.state = 3;    //申请绑定
              obj.stateType = '申请绑定中...';
            }else if(user.contractStatus == 'jujuejiebang'){
              obj.state = 1;    //已绑定
              obj.stateType = '已绑定';
            }else if(user.contractStatus == 'jujuebangding'){
              obj.state = 0;    //未绑定
              obj.stateType = '未绑定';
            }
          }else {
            obj.state = 0;
            obj.stateType = '未绑定';
          }
          $scope.results.push(obj);
        });
      }).error(function(data){
        $ionicLoading.show({
          template:'网络异常',
          duration:'1000'
        });
      });
    }
    $scope.cancelbd = function(obj,index){
      $ionicLoading.show({
        template:'申请取消绑定...'
      });
      url = configURL.mainUrl+configURL.cancelBindinSupplierUrl;
      var type;
      if(user.level == '全职导游'){
        type = true
      }else type=false;
      var parmas = {
        token:token,
        companyId:obj.id,
        guiderType:type
      }

      httpGet.sendGet(url,parmas).success(function(data){
        if(data.httpStatusCode==200){
          $ionicLoading.show({
            template:data.httpStatusDesc,
            duration:'1000'
          });
          $scope.results[index].state = 2;
        }else if(data.httpStatusCode==100){
          $ionicLoading.show({
            template:data.httpStatusDesc,
            duration:'1000'
          });
        }
      }).error(function(data){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
    $scope.$on('$destroy',function(){
      $rootScope.$broadcast('updata');
    })
  })
;

















