/**
 * Created by sangcixiang on 16/9/12.
 */
angular.module('company.controllers', ['starter.config'])


  //公司订单
  .controller('CompanyTaskController', function($scope,$stateParams,$ionicHistory,$ionicScrollDelegate,UserService,httpGet,configURL,$ionicLoading,$cordovaDatePicker) {

    $scope.title = '订单信息';
    $scope.type = $stateParams.type;
    $scope.allIndents = [];  //全部订单
    $scope.allPays = []; //全部已支付
    $scope.allFinish = [];  //全部完成订单
    $scope.notPays = [];   //未支付订单
    $scope.startDate = new Date().getTime();
    $scope.overDate = new Date().getTime();
    $scope.mainUrl = configURL.mainUrl;
    $scope.showloading = true;
    var token = UserService.getAuth().token;
    var url = configURL.mainUrl+configURL.getOrderInfoUrl;
    var page = 1;
    var parmas = {token:token, pageNo:page,pageSize:30};
    getList(parmas);
    /*上拉加载*/
    var isload = false;
    $scope.loadMore = function(){
      if(!isload){
        isload = true;
        page ++;
        $scope.loadState = '正在加载...';
        var parmas = {token:token, pageNo:page,pageSize:30};
        getList(parmas);
      }
    };
    /*下拉刷新*/
    $scope.doRefresh = function(){
      page = 1;
      $scope.allIndents = [];
      $scope.allPays = [];
      $scope.allFinish = [];
      $scope.notPays = [];
      var params = {token:token, pageNo:page,pageSize:30};
      getList(params);
    };
    $scope.select_timer = function(id){
      var options = {
        date: new Date(),
        mode: 'date', // or 'time'
        minDate: new Date(1970,1,1),
        allowOldDates: true,
        allowFutureDates: true,
        doneButtonLabel: '完成',
        doneButtonColor: '#007aff',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#007aff'
      };
      $cordovaDatePicker.show(options).then(function(date){
        if(id == 1){
          $scope.startDate = date;
        }else{
          $scope.overDate = date;
        }
      })
    };
    $scope.selected = function(){
      page = 1;
      var params = {
        token:token,
        pageNo:page,
        pageSize:30,
        startDate:new Date($scope.startDate).Format('yyyy-MM-dd'),
        endDate:new Date($scope.overDate).Format('yyyy-MM-dd')
      };
      $scope.allIndents = [];
      $scope.allPays = [];
      $scope.allFinish = [];
      $scope.notPays = [];
      $ionicLoading.show({
        template: '正在查询...'
      });
      getList(params);

    };
    function getList(params){

      httpGet.sendGet(url,params).success(function(data){
        $scope.showloading = false;
        if(!data.hasNext){
          $scope.loadState = '没有更多数据了...';
          isload = true;
        }else{
          $scope.loadState = '点击加载更多...';
          isload = false;
        }
        $scope.$broadcast('scroll.refreshComplete');
        for(var i=0;i<data.result.length;i++){
          if(data.result[i].type == 'guonei'){
            data.result[i].type = '国内';
          }else if(data.result[i].type == 'jingwai'){
            data.result[i].type = '国外';
          }
          if(data.result[i].paymentStatus){
            $scope.allPays.push(data.result[i]);
            data.result[i].isPay = '已支付';
          }else{
            data.result[i].isPay = '待支付';
            $scope.notPays.push(data.result[i]);
          }
          if(data.result[i].status == 'yuyue'){
            var dates =  data.result[i].serviceTime.split(',');
            data.result[i].serviceTime = dates[0].toString();
            data.result[i].status = '待接受';
          }else if(data.result[i].status == 'yijieshou'){
            var dates =  data.result[i].serviceTime.split(',');
            data.result[i].serviceTime = dates[0].toString();
            data.result[i].status = '已接受';
          }else if(data.result[i].status == "yiwancheng"){
            data.result[i].status = '已完成';
            data.result[i].leve = 3;
            $scope.allFinish.push(data.result[i]);
          }else if(data.result[i].status == 'yipinglun'){
            data.result[i].status = '已评论';
            data.result[i].leve = 2;
            $scope.allFinish.push(data.result[i]);
          }else if(data.result[i].status == 'yifenzhang'){
            data.result[i].status = '已分账';
            data.result[i].leve = 4;
            $scope.allFinish.push(data.result[i]);
          }else if(data.result[i].status == 'cexiao'){
            data.result[i].status = '撤消';
            data.result[i].leve = 5;
          }else if(data.result[i].status == 'jujue'){
            data.result[i].status = '已拒绝';
            data.result[i].leve = 6;
          }else if(data.result[i].status == 'zhongjie'){
            data.result[i].status = '拒接';
            data.result[i].leve = 7;
          }
          $ionicLoading.hide();
          $scope.allIndents.push(data.result[i]);
        }

        var type = $scope.type;
        if(type == 0){
          if($scope.allIndents.length <=0){
            $ionicLoading.show({
              template: '没有查询到相关信息',
              duration: '1000'
            });
          }
        }else if(type == 1){
          if($scope.notPays.length <=0){
            $ionicLoading.show({
              template: '没有查询到相关信息',
              duration: '1000'
            });
          }
        }else if(type == 2){
          if($scope.allPays.length <=0){
            $ionicLoading.show({
              template: '没有查询到相关信息',
              duration: '1000'
            });
          }
        }else if(type == 3){
          if($scope.allFinish.length <=0){
            $ionicLoading.show({
              template: '没有查询到相关信息',
              duration: '1000'
            });
          }
        }
      }).error(function(data){
        $scope.$broadcast('scroll.refreshComplete');
        $scope.showloading = false;
        $scope.infinite_scroll = false;
        $ionicLoading.show({
          template: '服务器异常',
          duration:'1000'
        });
      });
    }
  })
  //公司资料
  .controller('CompanyController', function($scope,UserService,$ionicHistory,configURL) {
    $scope.title = '公司资料';
    $scope.account = UserService.getAuth();
    $scope.conmpany = {};
    $scope.user = UserService.getUserInfo();
    $scope.headPortrait = configURL.mainUrl + $scope.user.logo;
  })
  //待办事项
  .controller('BacklogListController', function($scope,$stateParams,$ionicLoading,$ionicScrollDelegate,$cordovaDatePicker,UserService,httpGet,configURL) {
    $scope.title = '待办事项';
    var mainUrl = configURL.mainUrl;
    var user = UserService.getUserInfo();
    var token = UserService.getAuth().token;
    var url = mainUrl + configURL.companyBacklogListData;
    var page = 1;
    $scope.startDate = new Date().getTime();
    $scope.overDate = new Date().getTime();
    $scope.showloading = true;
    $scope.infinite_scroll = true;
    $scope.messages = [];
    $scope.select_timer = function(id){
      var options = {
        date: new Date(),
        mode: 'date', // or 'time'
        minDate: new Date(1970,1,1),
        allowOldDates: true,
        allowFutureDates: true,
        doneButtonLabel: '完成',
        doneButtonColor: '#007aff',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#007aff'
      };
      $cordovaDatePicker.show(options).then(function(date){
        if(id == 1){
          $scope.startDate = date;
        }else{
          $scope.overDate = date;
        }
      })
    };
    var parmas = {
      token:token,
      pageNo:page,
      pageSize:30
    }
    getMsg(parmas);
    $scope.selected = function(){

      page = 1;
      parmas.pageNo = page;
      parmas.startDate = new Date($scope.startDate).Format('yyyy-MM-dd');
      parmas.endDate = new Date($scope.overDate).Format('yyyy-MM-dd');
      $scope.messages = [];
      getMsg(parmas);

    };
    //下拉刷新
    $scope.doRefresh = function(){
      page = 1;
      $scope.messages = [];
      parmas.pageNo = page;
      getMsg(parmas);
    };
    //上拉加载
    var isload = false;
    $scope.loadMore = function(){
      if(!isload){
        isload = true;
        $scope.loadState = '正在加载...';
        var parmas = {token:token, pageNo:page,pageSize:30};
        getMsg(parmas);
      }
    };
    function getMsg(par){
      httpGet.sendGet(url,par).success(function(d){
        if(d.httpStatusCode == 100){
          $ionicLoading.show({
            template:'请求失败',
            duration:'1000'
          });
          return;
        }
        if(!d.hasNext){
          $scope.loadState = '没有更多数据了...';
          isload = true;
        }else{
          $scope.loadState = '点击加载更多...';
          isload = false;
        }
        page ++;
        for(var i=0;i< d.result.length;i++){
          $scope.messages.push(d.result[i]);
        }
        $scope.showloading = false;
        $scope.$broadcast('scroll.refreshComplete');
      }).error(function(d){
        $ionicLoading.show({
          template:'网络异常',
          duration:'1000'
        });
        $scope.showloading = false;
        $scope.$broadcast('scroll.refreshComplete');
      });
    }
  })
  //投诉信息
  .controller('ComplaintsController',function($scope,UserService,configURL,$ionicLoading,httpGet){
    $scope.title = '投诉信息';
    var token = UserService.getAuth().token;
    $scope.url = configURL.mainUrl;
    $scope.showloading = true;
    var isload = false;
    var page = 1;
    getList();
    function getList(){

      var url = configURL.mainUrl + configURL.appraiseListData;

      httpGet.sendGet(url,{ledegree:2,token:token,pageNo:page}).success(function(d){
        $scope.showloading = false;
        if(!d.errors){
          if(!d.hasNext){
            $scope.loadState = '没有更多数据了...';
            isload = false;
          }else{
            $scope.loadState = '点击加载更多...';
            isload = true;
          }
          for(var i=0;i< d.result.length;i++){
            var dates =  d.result[i].order.serviceTime.split(',');
            d.result[i].order.serviceTime = dates[0];
          }
          $scope.model = d.result;
          page ++;
        }
      }).error(function(d){
        $scope.showloading = false;
      });
    }
    $scope.loadMore = function(){
      if(isload){
        getList();
      }
    }
  })
   //投诉详情
  .controller('ComplaintDetailController',function($scope,$stateParams,UserService,httpGet,configURL){

    $scope.title = '投诉详情';

    var id = $stateParams.aid;
    var token = UserService.getAuth().token;
    $scope.url = configURL.mainUrl;
    $scope.showloading = true;
    getList();
    function getList(){
      var url = configURL.mainUrl + configURL.appraiseDetail;
      httpGet.sendGet(url,{Id:id,token:token}).success(function(d){
        $scope.showloading = false;
        if(!d.errors){
          var dates =  d.order.serviceTime.split(',');
          d.order.serviceTime = dates[0];
          $scope.model = d;
        }
      }).error(function(d){
        $scope.showloading = false;
      });
    }
  })
;





























