/**
 * Created by htzhanglong on 2015/8/2.
 */
angular.module('starter.controllers', ['starter.config'])


  .controller('MainController',function($scope,$state,UserService){

    $scope.$on('$ionicView.beforeEnter', function() {
      var user = UserService.getAuth();
      var oldversion = UserService.getVersion();
      if(!oldversion || oldversion < 1) {
        UserService.saveVersion({version:1.0});
        $state.go('banner');
        return;
      }
      //var date = new Date().getTime();
      if(!user){
        $state.go('login');
        return;
      }else{
        $state.go('tab.home');
        return;
      }
    });
  })
  //第一次启动画面
  .controller('BannerController', function($scope,$state,UserService) {
    $scope.enter = function(){
      $state.go('login');
    }
  })
  //登入
  .controller('LoginController', function($scope ,$stateParams,$ionicPopup,$cordovaNetwork,$rootScope,$http,Push,$ionicSlideBoxDelegate,$ionicLoading,$state,$ionicHistory,$interval,httpGet,configURL,UserService){
    $scope.title = '登入';

    $scope.user = {userName:'', userPassword:''};
    $scope.company = {userName:'', userPassword:''};

    $scope.userInfo ={userName:'', userPassword:'', token:'',enterType:''};
    $scope.$on('$ionicView.beforeEnter', function() {
      var getUserInfo = UserService.getAuth();
      if(getUserInfo){
        if(getUserInfo.enterType == 'guide'){
          $scope.user.userName = getUserInfo.userName;
          $scope.user.userPassword = getUserInfo.userPassword;
          $scope.user.type = 'Guider';
        }else{
          $scope.company.userName = getUserInfo.userName;
          $scope.company.userPassword = getUserInfo.userPassword;
          $scope.company.type = 'CompanyUser';
        }
      }
    });
    $scope.switchCompany = function(){
      $ionicSlideBoxDelegate.next();
    };
    $scope.switchGuide = function(){
      $ionicSlideBoxDelegate.previous();
    };
    var enterType = '';
    function enter(user){
      var par = {
        userName:user.userName,
        userPassword:user.userPassword,
        type:user.type
      };
      $ionicLoading.show({
        template: '正在登入...'
      });
      var url;
      if($scope.isPassword){
        url = configURL.mainUrl + configURL.loginUrl;
      }else{
        url = configURL.mainUrl + configURL.subSMSlogin;
        par = {
          mobile:user.userName,
          yancode:user.userPassword,
          type:user.type
        };
      }

      httpGet.sendGet(url,par).success(function(data){

        if(data.httpStatusCode == 100){
          $ionicLoading.show({
            template: data.errors.message,
            duration:'1000'
          });
          return;
        }
        if(data.httpStatusCode == 200){
          $scope.userInfo.userName = user.userName;
          if($scope.isPassword){
            $scope.userInfo.userPassword = user.userPassword;
          }else{
            $scope.userInfo.userPassword= '';
          }
          $scope.userInfo.token = data.token;
          $scope.userInfo.enterType = enterType;
          //设置极光 标签和别名
          var token = data.token.replace(/-/g,'');
          Push.setAlias(token);
          UserService.saveAuth($scope.userInfo);
          $ionicHistory.clearCache();
          $ionicHistory.clearHistory();
          $ionicLoading.show({
            template: '登入成功',
            duration:'1000'
          });
          $rootScope.$broadcast('enterStateOK');
          $state.go('tab.home',{},{reload: true });
        }
      }).error(function(data){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      })
    }
    //登入
    $scope.singIn = function(user){
       //$state.go('tab.home');
      if(user.userName.length<=0){
        $ionicLoading.show({
          template: "请输入账号",
          duration:'1000'
        });
        return;
      }else if(user.userPassword.length <= 0){
        $ionicLoading.show({
          template: "请输入密码",
          duration:'1000'
        })
        return;
      }else{
        enterType = 'guide';
        user.type = 'Guider';
        enter(user);
      }
    };
    //公司登入
    $scope.singInCompany = function(company){
      if(company.userName.length<=0){
        $ionicLoading.show({
          template: "请输入账号",
          duration:'1000'
        });
        return
      }else if(company.userPassword.length <= 0){
        $ionicLoading.show({
          template: "请输入密码",
          duration:'1000'
        })
        return;
      }else{
        enterType = 'company';
        company.type = 'CompanyUser';
        $scope.isPassword = true;
        enter(company);
      }

    };
    $scope.isPassword = true;
    $scope.paracont = $scope.isPassword?"忘记密码":"获取验证码";
    $scope.switch = function(){
      $scope.user = {userName:'', userPassword:''};
      $scope.isPassword = !$scope.isPassword;
      $scope.paracont = $scope.isPassword?"忘记密码":"获取验证码";
    };

    var second = 60, timePromise = undefined,over = true;
    //短信验证码登入
    $scope.getCode = function(){

      if($scope.isPassword){
         $state.go("find")
      }else{
        if(!(/^1[3|4|5|7|8][0-9]\d{8}$/.test( $scope.user.userName))){
          $ionicPopup.alert({
            title:'提示',
            template:'请输入正确的手机号码'
          })
          return false;
        }
        var getCode = document.getElementById('getCode');
        getCode.disabled = true;
        if(over){
          var btn = document.getElementById('btn');
          btn.disabled = true;
          timePromise = $interval(function(){
            if(second<=0){
              $interval.cancel(timePromise);
              timePromise = undefined;
              second = 60;
              $scope.paracont = "重发验证码";
              over = true;
              btn.disabled = false;
              getCode.disabled = false;
            }else{
              $scope.paracont = second + "秒后可重发";
              second--;
              over = false;
            }
          },1000,100);
        }
        var url = configURL.mainUrl+configURL.mobileYanCode;

        httpGet.sendGet(url,{mobile:$scope.user.userName}).success(function(d){
          if(d.httpStatusCode == 200){
            $ionicLoading.show({
              template: d.httpStatusDesc,
              duration:'1000'
            });
          }
        }).error(function(d){

        });
      }
    };
  })
  //注册
  .controller('RegisterController', function($scope,$ionicPopup,$rootScope,$state,UserService ,$http,$ionicLoading,$stateParams,$ionicHistory,$interval,httpGet,configURL,Push) {
    $scope.title = '注册';
    $scope.reg = {
      mobile:'',
      yanCode:'',
      icCode:'',
      identityId:'',
      userPassword:'',
      confirmUserPassword:''
    };
    $scope.userInfo ={userName:'', userPassword:'', token:'',enterType:''};
    $scope.paracont = "获取验证码";
    var get = function(url,params){
      return  $http({
        url: url,
        method: 'GET',
        params: params
      });
    };
    var getCodeUrl = configURL.mainUrl+configURL.mobileYanCode;
    var second = 60, timePromise = undefined,over = true;
    //获取短信验证码
    $scope.getCode = function(mobile){
      if(!(/^1[3|4|5|7|8][0-9]\d{8}$/.test( mobile))){
        $ionicPopup.alert({
          title:'提示',
          template:'请输入正确的手机号码'
        })
        return false;
      }
      $('#btn').css('color','#444');
      $('#btn').attr('disabled',true);
      if(over){
        timePromise = $interval(function(){
          if(second<=0){
            $interval.cancel(timePromise);
            timePromise = undefined;
            second = 60;
            $scope.paracont = "获取验证码";
            over = true;
            $('#btn').css('color','red');
            $('#btn').attr('disabled',false);
          }else{
            $scope.paracont = second + "秒后可重发";
            second--;
            over = false;
            $('#btn').css('color','#444');
            $('#btn').attr('disabled',true);
          }
        },1000,100);
      }
      var  params = {
        mobile:mobile
      };
      var p = get(getCodeUrl,params);
      p.success(function(data,status,config,headers){
        if(data){
          $ionicLoading.show({
            template:data.httpStatusDesc,
            duration:'1000'
          });
        }
      }).error(function(data,status,config,headers){
        if(data != undefined){
          $ionicLoading.show({
            template:data.httpStatusDesc,
            duration:'1000'
          });
        }
      })
    };
    //注册
    $scope.register = function(reg){

      var url = configURL.mainUrl+configURL.registerUrl;
      if(!(/^1[3|4|5|7|8][0-9]\d{8}$/.test(reg.mobile))){
        $ionicPopup.alert({
          title:'提示',
          template:'请输入正确的手机号码'
        })
        return false;
      }
      //验证码验证
      if(reg.yanCode.length <= 0){
        $ionicPopup.alert({
          title:'提示',
          template:'请输入验证码'
        })
        return false
      }
      //验证码验证
      if(reg.icCode.length <=0){
        $ionicPopup.alert({
          title:'提示',
          template:'请输入IC卡号'
        })
        return false
      }
      var regID = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
      if(reg.identityId.length <=0 || regID.test(reg.identityId)===false){
        $ionicPopup.alert({
          title:'提示',
          template:'身份证号码有误'
        })
        return false
      }
      //密码验证
      if(reg.userPassword.length < 6){
        $ionicPopup.alert({
          title:'提示',
          template:'密码长度不能少于6位'
        })
        return false
      }
      if(reg.confirmUserPassword != reg.userPassword){
        $ionicPopup.alert({
          title:'提示',
          template:'两次密码不一样'
        })
        return false;
      }
      var parmas = {
        mobile:reg.mobile,
        yancode:reg.yanCode,
        icCode:reg.icCode,
        identityId:reg.identityId,
        userPassword:reg.userPassword,
        confirmUserPassword:reg.confirmUserPassword
      }
      $ionicLoading.show({
        template: '正在注册...'
      });
      httpGet.sendGet(url,parmas).success(function(data){
        $scope.obj = data;
        $ionicLoading.hide();
        if(data.httpStatusCode == 100){
          if(data.errors.mobile){
            $ionicLoading.show({
              template: data.errors.mobile,
              duration:'1000'
            });
            return;
          }else if(data.errors.yancode){
            $ionicLoading.show({
              template: data.errors.yancode,
              duration:'1000'
            });
            return
          }
        }else if(data.httpStatusCode == 200){
          $ionicLoading.show({
            template:data.httpStatusDesc,
            duration:'1000'
          });
          $ionicHistory.goBack();
        }
        //
      }).error(function(data){
        $ionicLoading.show({
          template: '注册失败请重试',
          duration:'1000'
        });
      });
    }
  })
  //找回密码
  .controller('FindController', function($scope,$state,$ionicPopup,$interval,$ionicLoading,$ionicHistory,httpGet,configURL) {
    $scope.title = '找回密码';
    $scope.paracont = "获取验证码";
    $scope.reg = {
      mobile:'',
      yancode:'',
      userPassword:'',
      confirmUserPassword:''
    }
    var second = 60, timePromise = undefined,over = true;
    $scope.getCode = function(par){
      if(!(/^1[3|4|5|7|8][0-9]\d{8}$/.test(par))){
        $ionicPopup.alert({
          title:'提示',
          template:'请输入正确的手机号码'
        })
        return false;
      }
      if(over){
        timePromise = $interval(function(){
          if(second<=0){
            $interval.cancel(timePromise);
            timePromise = undefined;
            second = 60;
            $scope.paracont = "获取验证码";
            over = true;
            $('#btn1').attr('disabled',false);
          }else{
            $scope.paracont = second + "秒后可重发";
            second--;
            over = false;
            $('#btn1').attr('disabled',true);
          }
        },1000,100);
      }
      var url = configURL.mainUrl+configURL.mobileYanCode;
      httpGet.sendGet(url,{mobile:par}).success(function(d){
        $ionicLoading.show({
          template:d.httpStatusDesc,
          duration:'1000'
        });
      }).error(function(d){
      });
    }
    $scope.getPwd = function(){

      if($scope.reg.yancode.length<=0){
        $ionicPopup.alert({
          title:'提示',
          template:'请输入验证码'
        })
        return;
      }else if(!$scope.reg.userPassword || $scope.reg.userPassword.length<6){
        $ionicPopup.alert({
          title:'提示',
          template:'密码不能少于6位'
        })
        return;
      }else if($scope.reg.userPassword != $scope.reg.confirmUserPassword){
        $ionicPopup.alert({
          title:'提示',
          template:'两次输入的密码不一样'
        })
        return;
      }
      var url = configURL.mainUrl+configURL.modifyPassword;
      $ionicLoading.show({
        template: '请稍等...'
      });
      httpGet.sendGet(url,$scope.reg).success(function(d){
        console.log(d)
        if(d.httpStatusCode == 100){
          $ionicLoading.show({
            template: d.errors.yancode,
            duration:'1000'
          });
        }else if(d.httpStatusCode == 200){
          $ionicLoading.show({
            template: d.httpStatusDesc,
            duration:'1000'
          });
          $ionicHistory.goBack();
        }else{
          $ionicLoading.show({
            template: d.httpStatusDesc,
            duration:'1000'
          });
        }
      }).error(function(d){

      });
    };
  })
  //设置密码
  .controller('SetPwdController', function($scope,$ionicHistory) {
    $scope.title = '修改密码';
    $scope.enter = function(){
      $ionicHistory.goBack(-2);
    };
  })

  //首页
  .controller('HomeCtrl', function($scope,$rootScope,$ionicLoading,$cordovaNetwork,$ionicPlatform,$state,Push,$cordovaLocalNotification,$ionicScrollDelegate,UserService,httpGet,configURL) {

    $scope.title='首页';
    $scope.enterType = '';
    var page = 1;
    $scope.allList = [];
    $scope.allIndents = [];  //全部订单
    $scope.mainUrl = configURL.mainUrl;
    //共用参数
    var url ='',params={};
    $scope.userAccount = UserService.getAuth();
    $scope.token = $scope.userAccount.token;
    $scope.enterType = $scope.userAccount.enterType;

    //改按钮状态
    $scope.type = 0;
    $scope.showloading = true;
    $scope.changeBtn = function(index){
      $ionicScrollDelegate.scrollTop();
      $scope.b = document.getElementById('btnType').getElementsByClassName('button');
      for (var i = 0; i < $scope.b.length; i++) {
        $scope.b[i].className = "button button-clear";
      }
      $scope.type = index;
      $scope.b[index].className = "button button-clear sub_button_select";
    };
    //获取用户信息
    getUserInfo();
    function getUserInfo(){

      if($scope.enterType == 'guide'){
        url = configURL.mainUrl+configURL.getUserInfoUrl;
      }else if($scope.enterType == 'company'){
        url = configURL.mainUrl+configURL.companyDetail;
      }
      httpGet.sendGet(url,{token:$scope.token}).success(function(data){

        $scope.showloading = false;
        if(data.httpStatusCode == 100){
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
        }else{
          UserService.saveUserInfo(data);//保存用户信息
          if($scope.enterType == 'guide'){
            var listUrl = configURL.mainUrl+configURL.getOrderInfoUrl;
            var msgUrl = configURL.mainUrl+configURL.messageListData;
            getlist(listUrl,1);   //导游
            getmessage(msgUrl);
          }else if($scope.enterType == 'company'){
            var listUrl = configURL.mainUrl+configURL.getOrderInfoUrl;
            var msgUrl = configURL.mainUrl+configURL.CompanymessageListData;
            getlist(listUrl,1);   //导游
            getmessage(msgUrl);
          }
        }
        $scope.$broadcast('scroll.refreshComplete');
      }).error(function(data){
        $scope.$broadcast('scroll.refreshComplete');
        $scope.showloading = false;
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    }
    function getmessage(url){

      httpGet.sendGet(url,{token:$scope.token}).success(function(data){
        $scope.showloading = false;
        $scope.message = data.result;
        $scope.$broadcast('scroll.refreshComplete');
      }).error(function(data){
        $scope.showloading = false;
        $scope.$broadcast('scroll.refreshComplete');
        $ionicLoading.show({
          template: '获取消息列表失败',
          duration:'1000'
        });
      });
    }
    //获取首页任务列表
    function getlist(url,page){
      params = {token:$scope.token, pageNo:page,pageSize:30};
      httpGet.sendGet(url,params).success(function(data){
        $scope.showloading = false;
        if(!data.hasNext){
          $scope.loadState = '没有更多数据了...';
          isload = true;
        }else{
          $scope.loadState = '点击加载更多...';
          isload = false;
        }
        console.log(data)
        if($scope.enterType == 'company'){
          for(var i=0;i<data.result.length;i++){
            var dates =  data.result[i].serviceTime.split(',');
            data.result[i].serviceTime = dates[0].toString();
            if(data.result[i].paymentStatus){
              data.result[i].isPay = '已支付';
            }else{
              data.result[i].isPay = '未支付';
            }
            if(data.result[i].type == 'guonei'){
              data.result[i].type = '国内';
            }else if(data.result[i].type == 'jingwai'){
              data.result[i].type = '国外';
            }
            if(data.result[i].status == 'yuyue'){
              data.result[i].status = '预约';
              data.result[i].leve = 0;
            }else if(data.result[i].status == 'yijieshou'){
              data.result[i].status = '进行中';
              data.result[i].leve = 1;
            }else if(data.result[i].status == "yiwancheng"){
              data.result[i].status = '已完成';
              data.result[i].leve = 3;
            }else if(data.result[i].status == 'yipinglun'){
              data.result[i].status = '已评论';
              data.result[i].leve = 2;
            }else if(data.result[i].status == 'yifenzhang'){
              data.result[i].status = '已分账';
              data.result[i].leve = 4;
            }else if(data.result[i].status == 'cexiao'){
              data.result[i].status = '撤消';
              data.result[i].leve = 5;
            }else if(data.result[i].status == 'jujue'){
              data.result[i].status = '已拒绝';
              data.result[i].leve = 6;
            }else if(data.result[i].status == 'zhongjie'){
              data.result[i].status = '拒接';
              data.result[i].leve = 7;
            }
            $scope.allIndents.push(data.result[i]);
          }
        }else{
          for(var i=0;i<data.result.length;i++){
            if(data.result[i].type == 'guonei'){
              data.result[i].type = '国内';
            }else if(data.result[i].type == 'jingwai'){
              data.result[i].type = '国外';
            }
            if(data.result[i].status == 'yuyue' && data.result[i].paymentStatus){
              var dates =  data.result[i].serviceTime.split(',');
              data.result[i].serviceTime = dates[0].toString();
              data.result[i].state = '接受订单';
              if($scope.enterType == 'guide'){
                $scope.allList.push(data.result[i]);
              }
            }else if(data.result[i].status == 'yuyue' && !data.result[i].paymentStatus){
              var dates =  data.result[i].serviceTime.split(',');
              data.result[i].serviceTime = dates[0].toString();
              data.result[i].state = '未支付';
              if($scope.enterType == 'guide'){
                $scope.allList.push(data.result[i]);
              }
            }
            //else if(data.result[i].status == 'yijieshou'){
            //  var dates =  data.result[i].serviceTime.split(',');
            //  data.result[i].serviceTime = dates[0].toString();
            //  data.result[i].state = '已接受';
            //  if($scope.enterType == 'guide'){
            //    $scope.allList.push(data.result[i]);
            //  }
            //}
          }
        }
        $scope.$broadcast('scroll.refreshComplete');

      }).error(function(data){
        $scope.$broadcast('scroll.refreshComplete');
        $scope.showloading = false;
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    };
    //下拉刷新
    $scope.doRefresh = function(){
      $scope.allList = [];
      $scope.allIndents = [];
      page = 1;
      if($scope.enterType == 'guide'){
        var listUrl = configURL.mainUrl+configURL.getOrderInfoUrl;
        var msgUrl = configURL.mainUrl+configURL.messageListData;
        getlist(listUrl,page);
        getmessage(msgUrl);
      }else if($scope.enterType == 'company'){
        var listUrl = configURL.mainUrl+configURL.getOrderInfoUrl;
        var msgUrl = configURL.mainUrl+configURL.CompanymessageListData;
        getlist(listUrl,page);
        getmessage(msgUrl);
      }
    };
    //接受订单
    $scope.jieshou = function(id,index){
      url = configURL.mainUrl+configURL.accept;
      httpGet.sendGet(url,{Id:id,token:$scope.token}).success(function(data){

        if(data.httpStatusCode == 200){
          //$scope.allList[index].state = '已接受';
          $scope.allList.splice(index,1);
        }
        $ionicLoading.show({
          template: data.httpStatusDesc,
          duration:'1000'
        });
      }).error(function(data){

        $ionicLoading.show({
          template: '接受订单失败',
          duration:'1000'
        });
      });
    };
    //监听其它页面的接受通知
    $scope.$on('yijieshoudingdan',function(e,r){
      for(var i=0;i<$scope.allList.length;i++){
        if($scope.allList[i].id == r){
          //$scope.allList[i].state = '已接受';
          $scope.allList.splice(i,1);
          break;
        }
      }
    });
    $scope.edit = function(index){
      var url = configURL.mainUrl+configURL.removeMessage;
      var parmas = {
        id:$scope.message[index].id,
        token:$scope.token
      };
      httpGet.sendGet(url,parmas).success(function(d){
        if(d.httpStatusCode == 200){
          $ionicLoading.show({
            template: d.httpStatusDesc,
            duration:'1000'
          });
          $scope.message.splice(index,1);
        }
      }).error(function(d){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
    };
    $scope.companyEdit = function(index){
      var url = configURL.mainUrl+configURL.CompanyRemoveMessage;
      var parmas = {
        id:$scope.message[index].id,
        token:$scope.token
      };
      httpGet.sendGet(url,parmas).success(function(d){
        if(d.httpStatusCode == 200){
          $ionicLoading.show({
            template: d.httpStatusDesc,
            duration:'1000'
          });
          $scope.message.splice(index,1);
        }
      }).error(function(d){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });

    }
    var isload = false;
    $scope.loadMore = function(){
      if(!isload){
        isload = true;
        page ++;
        $scope.loadState = '正在加载...';
        if($scope.enterType == 'guide'){
          var listUrl = configURL.mainUrl+configURL.getOrderInfoUrl;
          var msgUrl = configURL.mainUrl+configURL.messageListData;
          getlist(listUrl,page);
          getmessage(msgUrl,page);
        }else if($scope.enterType == 'company'){
          var listUrl = configURL.mainUrl+configURL.getOrderInfoUrl;
          var msgUrl = configURL.mainUrl+configURL.CompanymessageListData;
          getlist(listUrl,page);
          getmessage(msgUrl,page);
        }
      }
    };
    $scope.showNetWorkError = false;
    $rootScope.$on('$cordovaNetwork:online', function(event, networkState){
      var onlineState = networkState;
      if(onlineState == 'none'){
        $scope.showNetWorkError = true;
      }
    });
    $rootScope.$on('$cordovaNetwork:offline', function(event, networkState){
      var offlineState = networkState;
      if(onlineState == 'none'){
        $scope.showNetWorkError = true;
      }
    });
  })
  //订单管理
  .controller('MyIndentController', function($scope ,$state,$rootScope,$stateParams,$ionicPopup,$ionicHistory,$ionicScrollDelegate,$ionicLoading,UserService,$cordovaDatePicker,configURL,httpGet) {
    $scope.title = '订单管理';
    $scope.startDate = new Date().getTime();  //开始时间
    $scope.overDate = new Date().getTime();   //结果时间
    //发送获取订单信息请求
    $scope.mainUrl = configURL.mainUrl;
    $scope.allIndents = [];  //全部订单
    $scope.allPays = [];     //全部以支付订单
    $scope.allFinish = [];   //全部完成订单
    $scope.allNotPays = [];
    var isload = false;
    var url;
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    var page = 1;
    var parmas={
      token:token,
      pageSize:30,
      pageNo:page
    }
    $scope.showloading = true;
    $scope.loadState = '点击加载更多...';
    var user = UserService.getUserInfo();
    if(!user.company){
      $ionicPopup.alert({
        title:'温馨提示',
        template:'您好！请先完善您的资料并绑定供应商以便我们能更好的为您服务！'
      })
    }
    sendObj(parmas);

    function sendObj(par){
      $scope.loadState = '正在加载...';
      url = configURL.mainUrl + configURL.getOrderInfoUrl;
      httpGet.sendGet(url,par).success(function(data){
        if(!data.hasNext){
          $scope.loadState = '没有更多数据了...';
          isload = true;
        }else{
          $scope.loadState = '点击加载更多...';
          isload = false;
        }
        $scope.showloading = false;
        for(var i=0;i<data.result.length;i++){
          var dates =  data.result[i].serviceTime.split(',');
          data.result[i].serviceTime = dates[0].toString();
          $scope.allIndents.push(data.result[i]);
          if(data.result[i].paymentStatus){
            if(data.result[i].paymentMethod == 'huitanbaozhang'){
              data.result[i].isPay  = '回团报账';
            }else{
              data.result[i].isPay = '已支付';
            }
            $scope.allPays.push(data.result[i]);
          }else{
            data.result[i].isPay = '未支付';
            $scope.allNotPays.push(data.result[i]);
          }
          if(data.result[i].status == 'yuyue'){
            data.result[i].status = '预约';
            data.result[i].leve = 0;
          }else if(data.result[i].status == 'yijieshou'){
            data.result[i].status = '进行中';
            data.result[i].leve = 1;
          }else if(data.result[i].status == "yiwancheng"){
            data.result[i].status = '已完成';
            data.result[i].leve = 3;
            $scope.allFinish.push(data.result[i]);
          }else if(data.result[i].status == 'yipinglun'){
            data.result[i].status = '已评论';
            data.result[i].leve = 2;
            $scope.allFinish.push(data.result[i]);
          }else if(data.result[i].status == 'yifenzhang'){
            data.result[i].status = '已分账';
            data.result[i].leve = 4;
            $scope.allFinish.push(data.result[i]);
          }else if(data.result[i].status == 'cexiao'){
            data.result[i].status = '撤消';
            data.result[i].leve = 5;
          }else if(data.result[i].status == 'jujue'){
            data.result[i].status = '已拒绝';
            data.result[i].leve = 6;
          }else if(data.result[i].status == 'zhongjie'){
            data.result[i].status = '拒接';
            data.result[i].leve = 7;
          }
        }
        if(data.result.length == 0){
          $ionicLoading.show({
            template: '没有订单信息',
            duration:'1000'
          });
        }
      }).error(function(data){
        $scope.showloading = false;
        isload = false;
        $ionicLoading.show({
          template: '查询失败',
          duration:'1000'
        });
      });
    }
    $scope.loadMore = function(){
      if(!isload){
        isload = true;
        parmas.pageNo ++;
        $scope.loadState = '正在加载...';
        sendObj(parmas);
      }
    };
    $scope.select_timer = function(id){
      var options = {
        date: new Date(),
        mode: 'date', // or 'time'
        minDate: new Date(1970,1,1),
        allowOldDates: true,
        allowFutureDates: true,
        doneButtonLabel: '完成',
        doneButtonColor: '#007aff',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#007aff'
      };
      $cordovaDatePicker.show(options).then(function(date){
        if(id == 1){
          $scope.startDate = date;
        }else{
          $scope.overDate = date;
        }
      })
    };
    //查询订单
    $scope.selected = function(){
      $ionicLoading.show({
        template: '查询中...',
        duration:'1000'
      });
      parmas = {
        token:token,
        page :1,
        startDate:$scope.formatDate($scope.startDate),
        endDate:$scope.formatDate($scope.overDate)
      };
      $scope.allPays = [];     //全部以支付订单
      $scope.allFinish = [];   //全部完成订单
      $scope.allIndents = [];
      $scope.allNotPays = [];
      sendObj(parmas);
    };
    //完成订单
    $scope.finish = function(id,index){
      $ionicLoading.show({
        template:'发送请求中....'
      });
      url = $scope.mainUrl + configURL.complete;
      httpGet.sendGet(url,{token:token,Id:id}).success(function(data){

        if(data.httpStatusCode == 200){
          $scope.allIndents[index].status = '已完成';
          $ionicLoading.show({
            template:'已完成接受订单！',
            duration:'1000'
          });
        }else{
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
        }
      }).error(function(data){
        $ionicLoading.show({
          template:'服务器异常！',
          duration:'1000'
        });
      });
    };
    $scope.jieshou = function(id,index){
      //接受订单
      url = configURL.mainUrl+configURL.accept;
      httpGet.sendGet(url,{Id:id,token:token}).success(function(data){

        if(data.httpStatusCode == 200){
          $scope.allIndents[index].status = '进行中';
          $ionicLoading.show({
            template:data.httpStatusDesc,
            duration:'1000'
          });
          $rootScope.$broadcast('yijieshoudingdan',id);
        }else{
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
        }
      }).error(function(data){
        $ionicLoading.show({
          template: '服务器异常！',
          duration:'1000'
        });
      });
    };
    //判断显示类型
    $scope.typeId = 0;
    $scope.changeType = function(index){
      $ionicScrollDelegate.scrollTop();
      $scope.typeId = index;
      var btn = document.getElementById('type_Btn').getElementsByTagName('button');
      for(var i=0 ; i < 4;i++){
        btn[i].className = 'button button-clear';
      }
      btn[index].className = 'button button-clear select_btn';
    };

    $scope.look = function(id){
      $state.go('tab.comment',{aid:id})
    }
    //日期格式
    $scope.formatDate = function(time){
      var date = new Date(time);
      return date.getFullYear()+'-'+(date.getMonth()+1)+'-'+(date.getDate());
    }
  })
  //评论详情
  .controller('CommentController', function($scope,$stateParams,$rootScope,UserService,httpGet,configURL) {

    $scope.title = '评价导游';
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    var aid = $stateParams.aid.toString();
    $scope.showloading = true;

    var url = configURL.mainUrl + configURL.appraiseDetail;
    $scope.starArr = [];
    httpGet.sendGet(url,{orderId:aid, token:token}).success(function(d){
      $scope.showloading = false;
      if(d.company){
        $scope.model = d;
        $scope.avatarUrl = configURL.mainUrl + d.company.logo;
        for(var i=0;i< d.degree;i++){
          $scope.starArr.push(i);
        }
      }
    }).error(function(d){
      $scope.showloading = false;
    });
  })
  //订单详情
  .controller('IndentDetailController', function($scope,$state,$rootScope,$stateParams,$http,$timeout,$interval,$ionicLoading,$cordovaFileTransfer,$cordovaFileOpener2,UserService,configURL,httpGet) {

    $scope.title = '订单详情';
    $scope.state = UserService.getAuth().enterType;
    var aid = $stateParams.aid;
    $scope.type = $stateParams.type;
    $scope.showloading = true;
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    var url = configURL.mainUrl+configURL.detailInfo;
    var par = {Id:aid,token:token};

    httpGet.sendGet(url,par).success(function(data){
      $scope.showloading = false;
      $scope.model = data;
      if(data.planUrl && data.planUrl.length>0){
        $scope.plan = '查看出团计划';
        $scope.planState = true;
      }else {
        $scope.plan = '未上传出团计划';
        $scope.planState = false;
      }
      //$scope.sum = data.splitAmount+data.totalAmount;
      var times = data.serviceTime.split(',');
      $scope.model.serviceTime = times[0].toString() +' 至 '+times[times.length-1].toString();
      if(!$scope.model.paymentStatus){
        $scope.paymentMethod = '未支付';
      }else{
        if($scope.model.paymentMethod == 'huitanbaozhang'){
          $scope.model.paymentMethod = '回团报账';
        }else if($scope.model.paymentMethod == 'zhifubao' || $scope.model.paymentMethod == 'zifubao'){
          $scope.model.paymentMethod = '已支付';
        }else if($scope.model.paymentMethod == 'weixin'){
          $scope.model.paymentMethod = '已支付';
        }else if($scope.model.paymentMethod == 'yuezhifu'){
          $scope.model.paymentMethod = '已支付';
        }
      }
      if(!$scope.model.paymentStatus){
        $scope.status = '未支付';
        $('#statusBtn').attr('disabled','true');
      }else if($scope.model.status == 'yiwancheng' || $scope.model.status == 'yifenzhang' || $scope.model.status == 'yipinglun'){
        $scope.status = '已完成';
        $('#statusBtn').attr('disabled','true');
      }else if($scope.model.status == 'yuyue' && $scope.model.paymentStatus){
        $scope.status = '接受订单';
      }else if($scope.model.status == 'yuyue' && !$scope.model.paymentStatus){
        $scope.status = '未支付';
      } else if($scope.model.status == 'jujue'){
        $scope.status = '已拒接';
        $('#statusBtn').attr('disabled','true');
      }else if($scope.model.status == 'yijieshou' && $scope.model.paymentStatus){
        $scope.status = '进行中';
        $('#statusBtn').attr('disabled','true');
      }else if($scope.model.status == 'yijieshou' && !$scope.model.paymentStatus){
        $scope.status = '未支付';
        $('#statusBtn').attr('disabled','true');
      }else if($scope.model.status == 'cexiao'){
        $scope.status = '已撤消';
        $('#statusBtn').attr('disabled','true');
      }
      if($scope.model.type == 'guonei'){
        $scope.model.type = '国内';
      }else{
        $scope.model.type = '国外'
      }
    }).error(function(data){
    });
    //接受订单
    var jieshou = false;
    url = configURL.mainUrl+configURL.accept;
    $scope.jieshou = function(){
      httpGet.sendGet(url,{Id: $scope.model.id,token:token}).success(function(data){
        if(data.httpStatusCode == 200){
          jieshou = true;
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
          $scope.status = '进行中';
          $('#statusBtn').attr('disabled','true');
        }else{
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
        }
      }).error(function(data){
      });
    };
    $scope.$on('$destroy',function(){
      if(jieshou){
        $rootScope.$broadcast('yijieshoudingdan',$scope.model.id);
      }
    });

    $scope.downLoad = function() {

      var url = configURL.mainUrl + $scope.model.planUrl;
      cordova.ThemeableBrowser.open(url, '_blank', {
        statusbar: {
          color: '#007affff'
        },
        toolbar: {
          height: 44,
          color: '#007affff'
        },
        title: {
          color: '#ffffffff',
          showPageTitle: true
        },
        closeButton: {
          wwwImage: '/img/btn_navigation_close@2x.png',
          wwwImagePressed: '/img/btn_navigation_close@2x.png',
          wwwImageDensity:2,
          align: 'left',
          event: 'closePressed'
        },
        backButtonCanClose: true
      })
    }
  })
  //日程安排
  .controller('TimeTableController', function($scope,$ionicLoading,$ionicPopup,UserService,configURL,httpGet) {
    $scope.title='日程安排';
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    var userInfo = UserService.getUserInfo();
    $scope.$on('$ionicView.afterEnter', function() {
      userInfo = UserService.getUserInfo();
    }, false);

    var hasNext,page=1;
    //全职全部的休息日
    var allDisabled = [];
    //兼职空闲时间
    var fullWorkings = [];
    //所有的忙
    var allMang = [];
    //被预约
    var allMake = [];
    var url = configURL.mainUrl+configURL.getWorkingDay;
    if(!userInfo.company){
      $ionicPopup.alert({
        title:'温馨提示',
        template:'您好！请先完善您的资料并绑定供应商以便我们能更好的为您服务！'
      })
    }else{
      getWorking();
    }
    function getWorking(){
      var parmas = {token:token, page:page,pageSize:1000};
      httpGet.sendGet(url,parmas).success(function(data){
        var obj = data.result;
        hasNext = data.hasNext;
        for( var i = 0;i< obj.length;i++){
          if(obj[i].status == 'xiu'){
            allDisabled.push(obj[i].workDay);
          }else if(obj[i].status == 'xian'){
            fullWorkings.push(obj[i].workDay);
          }else if( obj[i].status == 'mang'){
            allMang.push(obj[i].workDay);
          }else if( obj[i].status == 'yuyue'){
            allMake.push(obj[i].workDay);
          }
        }
        calculate(new Date());
      }).error(function(data){
      });
    }
    var guiderType = userInfo.type ? true : false; //判断是否为全职导游
    var selectDates = []; //获取所选的时间
    var oneDate = 24*60*60*1000;
    $scope.yearsList = [];
    //获取所有的年份
    for ( var i=1970;i<=2100;i++){
      $scope.yearsList.push(i);
    }
    $scope.rows=[0,7,14,21,28,35];
    $scope.cols=[0,1,2,3,4,5,6];
    $scope.monthsList = ["1月", "2月", "3月", "4月", "5月", "6月", "7月", "8月", "9月", "10月", "11月", "12月"];
    $scope.weeksList = ["一", "二", "三", "四", "五", "六", "日"];
    calculate(new Date());
    //初始化时间
    function initDate(e) {
      return e.setHours(0),e.setMinutes(0),e.setSeconds(0),e.setMilliseconds(0),e;
    }
    //设置当前月
    function calculate(date){
      date = initDate(date); //初始化当天时间
      $scope.currentDate=angular.copy(date);
      var n=new Date(date.getFullYear(),date.getMonth(),1).getDate(),
          t=new Date(date.getFullYear(),date.getMonth()+1,0).getDate();
      var a, c;
      $scope.firstDayEpoch=initDate(new Date(date.getFullYear(),date.getMonth(),n)).getTime();//当月第一天
      $scope.lastDayEpoch=initDate(new Date(date.getFullYear(),date.getMonth(),t)).getTime(); //当月最后一天
      $scope.dayList = [];
      var old = $scope.firstDayEpoch - oneDate;  //上个月的最后一天
      var weak = new Date(old).getDay();     //上个月的最一个星期几
      var newDate = $scope.lastDayEpoch + oneDate;  //下一个月的第一天
      var allSundays = 0;  //当月有几个星期天
      var allMondays = 0;  //当月有几个星期一
      var  isSelect = false;  //选中状态
      //添加当前月
      for(var d=n;t>=d;d++){
        a=new Date(date.getFullYear(),date.getMonth(),d);
        c = a.getTime()< initDate(new Date());
        isSelect = false;
        for(var k=0;k<selectDates.length;k++){
          if(a.getTime() == selectDates[k].epoch && a.getDate() == selectDates[k].date && a.getMonth() == selectDates[k].month &&selectDates[k].select){
            isSelect = true;
          }
        }
        var statu = guiderType ? '闲':'';
        for(var i=0;i<allMang.length;i++){
          if(allMang[i] == a.getTime()){
            statu = '忙';
          }
        }
        for(var j=0;j<allMake.length;j++){
          if(allMake[j] == a.getTime()){
            statu = '预';
          }
        }
        if(!guiderType){
          for(var i=0;i<fullWorkings.length;i++){
            if(fullWorkings[i] == a.getTime()){
              statu = '闲';
            }
          }
        }else{
          for(var j=0;j<allDisabled.length;j++){
            if(allDisabled[j] == a.getTime()){
              statu = '休';
            }
          }
        }
        $scope.dayList.push({
          date:a.getDate(),
          month:a.getMonth(),
          year:a.getFullYear(),
          day:a.getDay(),
          epoch:a.getTime(),
          disabled: c,
          up:false,
          next:false,
          select:isSelect,
          type:guiderType,
          status:statu
        });
        if(a.getDay()==0){
          allMondays ++;
        }else if(a.getDay() == 6){
          allSundays ++;
        }
      }
      //添加上一个月的最后几天
      for(var i=0;i<=weak;i++){
        var b = new Date(old-(i*oneDate));
        c = b.getTime()< initDate(new Date());
        isSelect = false;
        for(var k=0;k<selectDates.length;k++){
          if(b.getTime() == selectDates[k].epoch && selectDates[k].select){
            isSelect = true;
          }
        }
        var statu0 = guiderType ? '闲':'';
        for(var j=0;j<allMang.length;j++){
          if(allMang[j] == b.getTime()){
            statu0 = '忙';
          }
        }
        for(var j=0;j<allMake.length;j++){
          if(allMake[j] == b.getTime()){
            statu0 = '预';
          }
        }
        if(!guiderType){
          for(var j=0;j<fullWorkings.length;j++){
            if(fullWorkings[j] == b.getTime()){
              statu0 = '闲';
            }
          }
        }else{
          for(var j=0;j<allDisabled.length;j++){
            if(allDisabled[j] == b.getTime()){
              statu0 = '休';
            }
          }
        }
        $scope.dayList.unshift({
          date:b.getDate(),
          month:b.getMonth(),
          year:b.getFullYear(),
          day:b.getDay(),
          epoch:b.getTime(),
          disabled:c,
          up:true,
          next:true,
          select:isSelect,
          type:guiderType,
          status:statu0
        });
      }
      //添加下一个月的最后几天
      for(var i=0;i<13;i++){
        var b = new Date(newDate+i*(oneDate));
        c = b.getTime()< initDate(new Date());
        isSelect = false;
        for(var k=0;k<selectDates.length;k++){
          if(b.getTime() == selectDates[k].epoch && selectDates[k].select){
            isSelect = true;
          }
        }
        var statu1 = guiderType ? '闲':'';
        for(var j=0;j<allMang.length;j++){
          if(allMang[j] == b.getTime()){
            statu1 = '忙';
          }
        }
        for(var j=0;j<allMake.length;j++){
          if(allMake[j] == b.getTime()){
            statu1 = '预';
          }
        }
        if(!guiderType){     //兼职导游才有闲  全职全部为 闲
          for(var j=0;j<fullWorkings.length;j++){
            if(fullWorkings[j] == b.getTime()){
              statu1 = '闲';
            }
          }
        }else{    //全职才有休  兼职全部为 休
          for(var j=0;j<allDisabled.length;j++){
            if(allDisabled[j] == b.getTime()){
              statu1 = '休';
            }
          }
        }

        $scope.dayList.push({
          date:b.getDate(),
          month:b.getMonth(),
          year:b.getFullYear(),
          day:b.getDay(),
          epoch:b.getTime(),
          disabled:c,
          up:true,
          next:true,
          select:isSelect,
          type:guiderType,
          status:statu1
        });
      }
      $scope.selctedDateEpoch = a;
      $scope.data = {};
      $scope.data.currentMonth=$scope.monthsList[date.getMonth()+1];
      $scope.data.currentYear=date.getFullYear();
      $scope.data.currentMonthSelected=angular.copy($scope.data.currentMonth);
      $scope.currentYearSelected=angular.copy($scope.data.currentYear);
      $(".date_col").each(function(){
        $(this).height($(this).width()-5)
      });
    }
    //下一个月
    function next(){
      11===$scope.currentDate.getMonth()&&$scope.currentDate.setFullYear($scope.currentDate.getFullYear());
      $scope.currentDate.setDate(1);
      $scope.currentDate.setMonth($scope.currentDate.getMonth()+1);
      $scope.data.currentMonth=$scope.monthsList[$scope.currentDate.getMonth()];
      $scope.data.currentYear=$scope.currentDate.getFullYear();
      calculate($scope.currentDate);
    }
    //上一个月
    function prev(){
      1===$scope.currentDate.getMonth()&&$scope.currentDate.setFullYear($scope.currentDate.getFullYear());
      $scope.currentDate.setMonth($scope.currentDate.getMonth()-1);
      $scope.data.currentMonth=$scope.monthsList[$scope.currentDate.getMonth()];
      $scope.data.currentYear=$scope.currentDate.getFullYear();
      calculate($scope.currentDate);
    }
    $scope.nextMonth=function(){
      next();
    };
    $scope.prevMonth=function(){
      prev();
    };
    //选择时间后回调方法
    $scope.dateSelected=function(e,index){
      var currentMonth =  new Date($scope.selctedDateEpoch).getMonth();
      var newMonth = e.month;
      if(newMonth<currentMonth){
        prev();
      }else if(newMonth>currentMonth){
        next();
      }
      $scope.selctedDateEpoch = e.epoch;
      if(e.date == $scope.dayList[index].date){

        $scope.dayList[index].select = !$scope.dayList[index].select;
        if($scope.dayList[index].select){
          selectDates.push($scope.dayList[index]);
        }else{
          for(var i=0;i<selectDates.length;i++){

            if(selectDates[i].date == $scope.dayList[index].date){
              selectDates.splice(i,1);
            }
          }
        }
      }
    };
    //设置空闲
    $scope.setIonicDatePickerDate = function(){
      var update = [];
      url = configURL.mainUrl+configURL.setWorkingDay;
      for(var i=0;i<$scope.dayList.length;i++){
        for(var j=0;j<selectDates.length;j++){
          if(selectDates[j].epoch==$scope.dayList[i].epoch){
            if($scope.dayList[i].status == '' || $scope.dayList[i].status == '休'){
              var date = new Date($scope.dayList[i].epoch).Format('yyyy-MM-dd');
              update.push(date);
              $scope.dayList[i].status = '闲';
              fullWorkings.push(selectDates[j].epoch);
            }
            $scope.dayList[i].select = false;
          }
        }
      }
      selectDates = [];
      if(update.length<=0){
        $ionicLoading.show({
          template: '请选取需要设置的日期',
          duration:'1000'
        });
        return;
      }
      httpGet.sendGet(url,{token:token,workingDays:update.toString()}).success(function(d){

        if(d.httpStatusCode == 200){
          $ionicLoading.show({
            template: d.httpStatusDesc,
            duration:'1000'
          });
        }
      }).error(function(d){
        $ionicLoading.show({
          template: '网络异常,设置失败',
          duration:'1000'
        });
      });
    };
    //清除空闲时间
    $scope.clearDate = function(){
      url = configURL.mainUrl+configURL.removeWorkingDay;
      var update = [];
      for(var i=0;i<$scope.dayList.length;i++){
        for(var j=0;j<selectDates.length;j++){
          if(selectDates[j].epoch==$scope.dayList[i].epoch){
            if($scope.dayList[i].status == '闲'){
              var date = new Date($scope.dayList[i].epoch).Format('yyyy-MM-dd');
              update.push(date);
              if(!guiderType){
                $scope.dayList[i].status = '';
              }else {
                $scope.dayList[i].status = '休';
              }
              allDisabled.push(selectDates[j].epoch);
            }
            for(var k=0;k<fullWorkings.length;k++){
              if(selectDates[j].epoch == fullWorkings[k]){
                fullWorkings.splice(k,1);
              }
            }
            $scope.dayList[i].select = false;
          }
        }
      }
      selectDates = [];
      if(update.length<=0){
        $ionicLoading.show({
          template: '请选取需要设置的日期',
          duration:'500'
        });
        return;
      }
      httpGet.sendGet(url,{token:token,workingDays:update.toString()}).success(function(d){
        if(d.httpStatusCode == 200){
          $ionicLoading.show({
            template: d.httpStatusDesc,
            duration:'500'
          });
        }
      }).error(function(d){
      });
    };
  })
  //擅长路线
  .controller('PathController', function($scope,$ionicModal,$http,$ionicLoading,$ionicPopup,$ionicListDelegate,UserService,configURL,httpGet) {
    $scope.title='擅长路线';
    //导游擅长路线容器
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    $scope.strongPaths = [];
    $scope.pathList = [];

    //获取导游擅长线路信息
    var userInfo = UserService.getUserInfo();
    var url = configURL.mainUrl+configURL.getUserPathInfoUrl;

    if(!userInfo.company){

      $ionicPopup.alert({
        title:'温馨提示',
        template:'您好！请先完善您的资料并绑定供应商以便我们能更好的为您服务！'
      })
      return;
    }
    $scope.showloading = true;
    getPath();
    function getPath(){
      httpGet.sendGet(url,{guiderId:userInfo.id,token:token}).success(function(data){
        if(data.httpStatusCode == 100){
          $ionicLoading.show({
            template: data.httpStatusDesc,
            duration:'1000'
          });
          return;
        }
        $scope.showloading = false;
        $scope.strongPaths = data.result;
        //判断是否绑定了旅游公司
        if(userInfo.company) {
          getAllPath();
        }
      }).error(function(data){
      });
    }

    function getAllPath(){
      var params = {
        'name': '',
        'guiderId': userInfo.company.id,
        'id': userInfo.id,
        token:token
      };
      url = configURL.mainUrl+configURL.getPathInfoUrl;
      httpGet.sendGet(url,params).success(function(data){
        if(!data.errors){
          $scope.result = data.result;
          for(var i=0;i< $scope.result.length;i++){
            for (var j=0;j<$scope.strongPaths.length;j++){

              if($scope.result[i].name == $scope.strongPaths[j].touristRoute.name){
                $scope.result[i].types = true;
                break;
              }else{
                $scope.result[i].types = false;
              }
            }
          }
          for(var i=0;i<$scope.result.length;i++){
            $scope.pathList.push($scope.result[i]);
          }
          $scope.pathList.forEach(function(obj){
            obj.state = false;
          });
        }
      }).error(function(data){
      });
    }
    //编辑擅长路线
    $scope.edit = function(obj,index){
      //移除擅长路线
      var params = {
        guiderId:userInfo.id,
        touristRouteId:obj.id,
        token:token
      }
      url = configURL.mainUrl+configURL.removeGoodLine;
      httpGet.sendGet(url,params).success(function(data){

        $ionicLoading.show({
          template: data.httpStatusDesc,
          duration:'1000'
        });
        if(data.httpStatusCode == 200){

          for(var i=0;i<$scope.pathList.length;i++){
            if($scope.pathList[i].name == $scope.strongPaths[index].touristRoute.name){
                $scope.pathList[i].types = false;
                break;
            }
          }
          $scope.strongPaths.splice(index,1);
        }
      }).error(function(data){
        $ionicLoading.show({
          template: '网络异常',
          duration:'1000'
        });
      });
      $ionicListDelegate.closeOptionButtons();
    };
    //发送设置路线请求
    $scope.enter = function(){
      $scope.pathList.forEach(function(obj,index){
        if(obj.state){
          var params = {
            'guiderId':userInfo.id,
            'touristRouteId':obj.id,
             token:token
          }
          url = configURL.mainUrl+configURL.setPathUrl;
          httpGet.sendGet(url,params).success(function(data){

            if(data.httpStatusCode == 200){
              var pathsObj = {
                touristRoute:obj
              }
              $scope.strongPaths.push(pathsObj);
              $scope.pathList[index].types = true;
              $scope.pathList[index].state = false;
              $ionicLoading.show({
                template: data.httpStatusDesc,
                duration:'1000'
              });

            }else if(data.httpStatusCode == 100){
              $ionicLoading.show({
                template: data.errors.guiderGoodLine,
                duration:'1000'
              });
            }
          }).error(function(data){
            $ionicLoading.show({
              template: '网络异常',
              duration:'1000'
            });
          });
        }
      });

      $scope.modal.hide();
    };
    $ionicModal.fromTemplateUrl('templates/addPath.html', {
      scope: $scope
    }).then(function(modal) {
      $scope.modal = modal;
    });
    $scope.closeModal = function(){
      $scope.modal.hide();
    };
    $scope.openModal = function(){
      $scope.modal.show();
    };
  })
  //到期提醒
  .controller('OutDateController', function($scope,$stateParams,$ionicModal,$ionicLoading,$ionicListDelegate,UserService,httpGet,configURL,$cordovaDatePicker,Push) {
    $scope.title='到期提醒';
    var userAccount = UserService.getAuth();
    var token = userAccount.token;
    $scope.slectDate  = new Date();
    $scope.showloading = true;
    var user = UserService.getUserInfo();
    $scope.$on('$ionicView.afterEnter', function() {
      user = UserService.getUserInfo();
    }, false);

    var url,parmas;
    $scope.data = {
      showDelete: false
    };
    $scope.tx = {title:'', timer:'',id:''};
    $scope.txList = [];

    url = configURL.mainUrl + configURL.remindListData;
    var newDate = new Date().getTime();
    httpGet.sendGet(url,{id:user.id,token:token,pageSize:45}).success(function(data){

      if(data.httpStatusCode == 100){
        $ionicLoading.show({
          template: data.httpStatusDesc,
          duration:'1000'
        });
        return;
      }
      for(var i=0;i<data.result.length;i++){
        $scope.tx.title = data.result[i].name;
        $scope.tx.timer = data.result[i].deadline;
        $scope.tx.id = data.result[i].id;
        $scope.txList.push($scope.tx);
        $scope.tx = {title:'', timer:'',id:""};
        var date = data.result[i].deadline + (8*60*60*60);

        if(date > newDate){
          var localNotTiem = (date - newDate)/1000;
          var content = data.result[i].name;
          Push.addLocalNotification(localNotTiem,content, 1, date, {"key":"value"});
        }else{
          Push.deleteLocalNotificationWithIdentifierKeyInIOS(date);
        }
      }
    }).error(function(data){

    });

    $scope.edit = function(id,index){
      url = configURL.mainUrl + configURL.removeRemind;
      httpGet.sendGet(url,{id:id,token:token}).success(function(data){

        var id = $scope.txList[index].timer + (8*60*60*60);

        Push.deleteLocalNotificationWithIdentifierKeyInIOS(id)
        $scope.txList.splice(index,1);
        $ionicLoading.show({
          template: data.httpStatusDesc,
          duration:'1000'
        });
      }).error(function(data){

        $ionicLoading.show({
          template: '移除失败，重新再试',
          duration:'1000'
        });
      });
      $ionicListDelegate.closeOptionButtons();
    };
    $ionicModal.fromTemplateUrl('templates/addTx.html', {
      scope: $scope
    }).then(function(modal) {
      $scope.modal = modal;
    });
    //打开日期选择器
    $scope.openModal = function(){
      $scope.modal.show();
      //
    };
    $scope.closeModal = function(){
      $scope.modal.hide();
    };
    //设置提醒事项
    $scope.enter = function(){
      if($scope.tx.title.length <= 0){
        $ionicLoading.show({
          template: '提醒内容不能为空',
          duration:'1000'
        });
        return;
      }
      $scope.tx.timer = $scope.slectDate;
      url = configURL.mainUrl + configURL.setRemind;
      parmas = {
        guiderId:user.id,
        deadline:new Date($scope.slectDate).Format('yyyy-MM-dd'),
        name:$scope.tx.title ,
        token:token
      };
      httpGet.sendGet(url,parmas).success(function(data){
        $ionicLoading.show({
          template: data.httpStatusDesc,
          duration:'1000'
        });
        $scope.txList.push($scope.tx);
        $scope.tx = {title:'', timer:''};
      }).error(function(data){
        $ionicLoading.show({
          template: '添加提醒失败',
          duration:'1000'
        });
      });
      $scope.modal.hide();
    };

    //日期格式
    $scope.formatDate = function(time){
      var date = new Date(time);
      return date.getFullYear()+'-'+(date.getMonth()+1)+'-'+(date.getDate());
    };
    $scope.slectDate = new Date();

    $scope.select_Date = function() {
      var options = {
        date: new Date(),
        mode: 'date', // or 'time'
        minDate: new Date(1970,1,1),
        allowOldDates: true,
        allowFutureDates: true,
        doneButtonLabel: '完成',
        doneButtonColor: '#007aff',
        cancelButtonLabel: '取消',
        cancelButtonColor: '#007aff'
      };
      $cordovaDatePicker.show(options).then(function(date){
        $scope.slectDate = date;
      })
    }
  })
;
