angular.module('starter.services', [])

    //注册用户
    .factory('RegisterFactory',function($resource,$rootScope,configURL){
        var obj;
        var url = configURL.mainUrl+configURL.registerUrl;
        var resource = $resource(url,{},{
            query:{
                method:'POST',
                headers: configURL.header,
                params:{
                    mobile:'@mobile',
                    yancode:'@yancode',
                    icCode:'@icCode',
                    identityId:'@identityId',
                    userPassword:'@userPassword',
                    confirmUserPassword:'@confirmUserPassword'
                },
                timeout:10000
            }
        });
        return {
            send:function(reg){
                return resource.query({
                    mobile:reg.mobile,
                    yancode:reg.yancode,
                    icCode:reg.icCode,
                    identityId:reg.identityId,
                    userPassword:reg.userPassword,
                    confirmUserPassword:reg.confirmUserPassword
                }, function(response) {
                    obj = response;
                    $rootScope.$broadcast('register.newUser');
                });
            },
            getPortal: function() {
                return obj;
            }
        };
    })
    //获取验证码
    .factory('GetMobileCodeFactory',function($resource,$rootScope,configURL){
        var obj;
        var url = configURL.mainURL+configURL.mobileYanCode;
        var resource = $resource(url,{},{
            query:{
                method:'POST',
                headers: configURL.header,
                params:{
                    mobile:'@mobile'
                },
                timeout:10000
            }
        });
        return {
            send:function(mobile){
                return resource.query({
                    mobile:mobile
                }, function(response) {
                    obj = response;
                    $rootScope.$broadcast('getMobile');
                });
            },
            getPortal: function() {
                return obj;
            }
        };
    })
    //用户登入
    .factory('LoginFactory',function($resource,$rootScope,configURL){
        var obj;
        var url = configURL.mainUrl+configURL.loginUrl;
        var resource = $resource(url,{},{
            query:{
                method:'POST',
                headers: configURL.header,
                params:{
                    userName:'@userName',
                    userPassword:'@userPassword'
                },
                timeout:1000
            }
        });
        return {
            send:function(user){
                return resource.query({
                    userName:user.userName,
                    userPassword:user.userPassword
                }, function(response,headers, success, error) {
                    obj = response;
                    console.log(error);
                    console.log(headers);
                    console.log(success);
                    $rootScope.$broadcast('Login.User');
                });
            },
            getPortal: function() {
                return obj;
            }
        };
    })
    //获取用户资料
    .factory('GetUserInfoFactory',function($resource,$rootScope,configURL){
        var obj;
        var url = configURL.mainUrl+configURL.getUserInfoUrl;
        var resource = $resource(url,{},{
            query:{
                method:'POST',
                headers: configURL.header,
                params:{
                    mobile:'@mobile'
                },
                timeout:5000
            }
        });
        return {
            send:function(user){
                return resource.query({
                    mobile:'13760423729'
                }, function(response,headers, success, error) {
                    obj = response;
                    $rootScope.$broadcast('getUserInfo',response);
                });
            }
        };
    })
    //设置用户资料
    .factory('upDataUserInfoFactory',function($resource,$rootScope,configURL){
        var result;
        var url = configURL.mainUrl+configURL.updateGuider;
        var resource = $resource(url,{},{
            query:{
                method:'POST',
                headers: configURL.header,
                params:{
                    id:'@id',
                    icCode:'@icCode',
                    name:'@name',
                    city:'@city',
                    qq:'@qq',
                    mobile:'@mobile',
                    contactTel:'@contactTel',
                    identityId:'@identityId',
                    weChatAccount:'@weChatAccount',
                    level:'@level',
                    origin:'@origin',
                    birthday:'@birthday',
                    sex:'@sex',
                    tiawanLeaderCode:'@tiawanLeaderCode',
                    internationalLeaderCode:'@internationalLeaderCode',
                    languages:'@languages',
                    companyId:'@companyId',
                    alipay:'@alipay',
                    insuranceExpirationTime:'@insuranceExpirationTime',
                    introduce:'@introduce',
                    speciality:'@speciality',
                    honour:'@honour',

                    lifePhoto:'@lifePhoto',     //生活照
                    headPortrait:'@headPortrait',   //头像
                    credentials:'@credentials',    //其它证件照
                    passportPhoto:'@passportPhoto',   //护照
                    identityPhoto:'@identityPhoto',  //身份证照
                    tiawanLeaderPhoto:'@tiawanLeaderPhoto',//台湾照
                    internationalLeaderPhoto:'@internationalLeaderPhoto'//国际照
                },
                timeout:10000
            }
        });
        return {
            send:function(parameter){
                console.log(parameter);
                return resource.query({
                    id:parameter.id,
                    name:parameter.name,
                    mobile:parameter.mobile,
                    qq:parameter.qq,
                    city:parameter.city,
                    icCode:parameter.icCode,
                    contactTel:parameter.contactTel,
                    identityId:parameter.identityId,
                    weChatAccount:parameter.weChatAccount,
                    level:parameter.level,
                    origin:parameter.origin,
                    birthday:parameter.birthday,
                    sex:parameter.sex,
                    tiawanLeaderCode:parameter.tiawanLeaderCode,
                    internationalLeaderCode:parameter.internationalLeaderCode,
                    languages:parameter.languages,
                    companyId:parameter.companyId,
                    alipay:parameter.alipay,
                    insuranceExpirationTime:parameter.insuranceExpirationTime,
                    introduce:parameter.introduce,
                    speciality:parameter.speciality,
                    honour:parameter.honour,

                    lifePhoto:parameter.lifePhoto,
                    headPortrait:parameter.headPortrait,   //头像
                    credentials:parameter.credentials,    //其它证件照
                    passportPhoto:parameter.passportPhoto,   //护照
                    identityPhoto:parameter.identityPhoto,  //身份证照
                    tiawanLeaderPhoto:parameter.tiawanLeaderPhoto,//台湾照
                    internationalLeaderPhoto:parameter.internationalLeaderPhoto//国际照
                }, function(response,headers, success, error) {
                    $rootScope.$broadcast('callBack.UpData',response);
                });
            }
        };
    })
    //绑定供应商
    .factory('BinDingFactory',function($resource,$rootScope,configURL){
        var page = 1;
        var url = configURL.mainUrl+configURL.bindinSupplierUrl;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    id:"@id",
                    companyId:"@companyId"
                },
                timeout:10000
            }
        });
        return {
            send:function(user,obj){
                return resource.query({
                    id:user.id,
                    companyId:obj.id
                }, function(response,headers, success, error) {
                    $rootScope.$broadcast('cancelBinDingFactory',response);
                });
            }
        };
    })
    //修改密码
    .factory('SetPwdFactory',function($resource,$rootScope,configURL){
        var obj;
        var url =configURL.mainUrl + configURL.setPwdUrl;
        var resource = $resource(url,{},{
            query:{
                method:'POST',
                headers: configURL.header,
                params:{
                    userName:'@userName',
                    userPassword:'@userPassword',
                    oldPassword:"@oldPassword",
                    confirmUserPassword:"@confirmUserPassword"
                },
                timeout:10000
            }
        });
        return {
            send:function(user){
                return resource.query({
                    userName:user.userName,
                    userPassword:user.userPassword,
                    confirmUserPassword:user.confirmUserPassword,
                    oldPassword:user.oldPassword
                }, function(response) {
                    obj = response;
                    $rootScope.$broadcast('set.Pwd');
                });
            },
            getPortal: function() {
                return obj;
            }
        };
    })
    //获取供应商信息
    .factory('GetBinDingFactory',function($resource,$rootScope,configURL){
        var result;
        var page = 1;
        var url = configURL.mainUrl+configURL.getBindingUrl;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    page:"@page",
                    name:"@name"
                },
                timeout:10000
            }
        });
        return {
            send:function(name){
                return resource.query({
                    page:page,
                    name:name
                }, function(response,headers, success, error) {
                    page ++;
                    result = response.result;
                    $rootScope.$broadcast('callBack.BinDing',response.hasNext);
                });
            },
            getPortal: function() {
                return result;
            }
        };
    })
    //绑定供应商
    .factory('BinDingFactory',function($resource,$rootScope,configURL){
        var page = 1;
        var url = configURL.mainUrl+configURL.bindinSupplierUrl;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    id:"@id",
                    companyId:"@companyId"
                },
                timeout:10000
            }
        });
        return {
            send:function(user,obj){
                return resource.query({
                    id:user.id,
                    companyId:obj.id
                }, function(response,headers, success, error) {
                    $rootScope.$broadcast('cancelBinDingFactory',response);
                });
            }
        };
    })
    //取消绑定供应商
    .factory('CancelBinDingFactory',function($resource,$rootScope,configURL){
        var page = 1;
        var url = configURL.mainUrl+configURL.cancelBindinSupplierUrl;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    id:"@id",
                    companyId:"@companyId"
                },
                timeout:10000
            }
        });
        return {
            send:function(user,obj){
                return resource.query({
                    id:user.id,
                    companyId:obj.id
                }, function(response,headers, success, error) {
                    $rootScope.$broadcast('binDingFactory',response);
                });
            }
        };
    })
    //获取公司线路信息
    .factory('getPathInfoFactory',function($resource,$rootScope,configURL){
        var page = 1;
        var url = configURL.mainUrl+configURL.getPathInfoUrl;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    name:'@name',
                    companyId:"@companyId",
                    page:page,
                    id:'@id'
                },
                timeout:10000
            }
        });
        return {
            send:function(params){
                return resource.query({
                    name:params.name,
                    companyId:params.companyId,
                    page:page,
                    id:params.id
                }, function(response,headers, success, error) {
                    page++;
                    $rootScope.$broadcast('getPathInfoFactory',response);
                });
            }
        };
    })
    //添加导游线路信息
    .factory('setPathFactory',function($resource,$rootScope,configURL){

        var url = configURL.mainUrl+configURL.setPathUrl;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    guiderId:'@guiderId',
                    touristRouteId:"@touristRouteId"
                },
                timeout:10000
            }
        });
        return {
            send:function(params){
                return resource.query({
                    guiderId:params.guiderId,
                    touristRouteId:params.touristRouteId
                }, function(response,headers, success, error) {
                    $rootScope.$broadcast('setPathFactory',response);
                });
            }
        };
    })
    //获取导游擅长路线信息
    .factory('getUserPathFactory',function($resource,$rootScope,configURL){
        var page = 1;
        var url = configURL.mainUrl+configURL.getUserPathInfoUrl;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    guiderId:'@guiderId',
                    pageNo:"@page"
                },
                timeout:10000
            }
        });
        return {
            send:function(params){
                return resource.query({
                    guiderId:params,
                    pageNo:page
                }, function(response,headers, success, error) {
                    page++;
                    $rootScope.$broadcast('getUserPathFactory',response);
                });
            }
        };
    })
    //移除导游擅长路线信息
    .factory('removeGoodLineFactory',function($resource,$rootScope,configURL){
        var url = configURL.mainUrl+configURL.removeGoodLine;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    guiderId:'@guiderId',
                    touristRouteId:"@touristRouteId"
                },
                timeout:10000
            }
        });
        return {
            send:function(gId,tId){
                return resource.query({
                    guiderId:gId,
                    touristRouteId:tId
                }, function(response,headers, success, error) {
                    $rootScope.$broadcast('removeGoodLineFactory',response);
                });
            }
        };
    })
    //获取订单信息
    .factory('getOrderInfoFactory',function($resource,$rootScope,configURL){
        var url = configURL.mainUrl+configURL.getOrderInfoUrl;
        var page = 1;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    guiderId:'@guiderId',
                    page:"@page"
                },
                timeout:10000
            }
        });
        return {
            send:function(gId){
                return resource.query({
                    guiderId:gId,
                    page :page
                }, function(response,headers, success, error) {
                    page++;
                    $rootScope.$broadcast('getOrderInfoFactory',response);
                });
            }
        };
    })
    //移除工作日
    .factory('removeWorkingFactory',function($resource,$rootScope,configURL){
        var url = configURL.mainUrl+configURL.removeWorkingDay;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    guiderId:'@guiderId',
                    workingDay:"@workingDay"
                },
                timeout:10000
            }
        });
        return {
            send:function(gId,day){
                return resource.query({
                    guiderId:gId,
                    workingDay :day
                }, function(response,headers, success, error) {
                    $rootScope.$broadcast('removeWorkingFactory',response);
                });
            }
        };
    })
    //设置工作日
    .factory('setWorkingFactory',function($resource,$rootScope,configURL){
        var url = configURL.mainUrl+configURL.setWorkingDay;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    guiderId:'@guiderId',
                    workingDay:"@workingDay"
                },
                timeout:10000
            }
        });
        return {
            send:function(gId,day){
                return resource.query({
                    guiderId:gId,
                    workingDay :day
                }, function(response,headers, success, error) {
                    $rootScope.$broadcast('setWorkingFactory',response);
                });
            }
        };
    })
    //获取工作日情况
    .factory('getWorkingFactory',function($resource,$rootScope,configURL){
        var url = configURL.mainUrl+configURL.getWorkingDay;
        var page=1;
        var resource = $resource(url,{},{
            query:{
                method:'GET',
                headers: configURL.header,
                params:{
                    guiderId:'@guiderId',
                    page:"@page"
                },
                timeout:10000
            }
        });
        return {
            send:function(gId){
                return resource.query({
                    guiderId:gId,
                    page :page
                }, function(response,headers, success, error) {
                    page++;
                    $rootScope.$broadcast('getWorkingFactory',response);
                });
            }
        };
    })
    //用户信息
    .factory('UserService', function() {
        return{
            saveAuth:function(authData){
                localStorage.setItem('authData',JSON.stringify(authData));
                return true;
            },
            getAuth:function(){
                if(localStorage.getItem('authData')){
                    return JSON.parse(localStorage.getItem('authData'));
                }else{
                    return false;
                }
            },
            saveUserInfo:function(userData){
                localStorage.setItem('userInfo',JSON.stringify(userData));
            },
            getUserInfo:function(){
                if(localStorage.getItem('userInfo')){
                    return JSON.parse(localStorage.getItem('userInfo'));
                }else{
                    return false;
                }
            },
          saveVersion:function(version){
            localStorage.setItem('version',JSON.stringify(version));
          },
          getVersion:function(){
            if(localStorage.getItem('version')){
              return JSON.parse(localStorage.getItem('version'));
            }else{
              return false;
            }
          },
            saveUserImage:function(images){
                localStorage.setItem('userImages',JSON.stringify(images));
            },
            getUserImage:function(){
                if(localStorage.getItem('userImages')){
                    return JSON.parse(localStorage.getItem('userImages'));
                }else{
                    return false;
                }
            }
        }
    })
    .factory('httpPost',function($http,configURL){
        return {
            sendPost:function(url,data){
                return $http({
                    url:url ,
                    method: 'POST',
                    data:   {name:data.name,token:data.token},
                    headers:configURL.header,
                    timeout:10000
                });
            }
        }
    })

    .factory('httpGet',function($http,configURL){
        return {
            sendGet:function(url,params){
                return $http({
                    url:url ,
                    method: 'GET',
                    params: params,
                    timeout:10000,
                    headers:configURL.header
                });
            }
        }
    })
    //获取图片信息
    .factory('fileReader', function($q, $log) {

        var onLoad = function(reader, deferred, scope) {
            return function () {
                scope.$apply(function () {
                    deferred.resolve(reader.result);
                });
            };
        };
        var onError = function (reader, deferred, scope) {
            return function () {
                scope.$apply(function () {
                    deferred.reject(reader.result);
                });
            };
        };
        var getReader = function(deferred, scope) {
            var reader = new FileReader();
            reader.onload = onLoad(reader, deferred, scope);
            reader.onerror = onError(reader, deferred, scope);
            return reader;
        };
        var readAsDataURL = function (file, scope) {
            var deferred = $q.defer();
            var reader = getReader(deferred, scope);
            reader.readAsDataURL(file);
            return deferred.promise;
        };
        return {
            readAsDataUrl: readAsDataURL
        };

    })

    .factory('Push', function() {
    var push;
    return {
      setBadge: function(badge) {
        if (push) {
          console.log('jpush: set badge', badge);
          plugins.jPushPlugin.setBadge(badge);
        }
      },
      setAlias: function(alias) {
        if (push) {
          console.log('jpush: set alias', alias);
          plugins.jPushPlugin.setAlias(alias);
        }
      },
      setTags: function(tags){
        if(push){
          //alert('jpush: set tags', tags);
          plugins.jPushPlugin.setTags(tags);
        }
      },
      setTagsWithAlias:function(tags,alias){
        if(push){
          plugins.jPushPlugin.setTagsWithAlias(tags,alias);
        }
      },
      receiveNotification:function(){
        if(push){
          plugins.jPushPlugin.receiveNotificationIniOSCallback()
        }
      },
      check: function() {
        if (window.jpush && push) {
          plugins.jPushPlugin.receiveNotificationIniOSCallback(window.jpush);
          window.jpush = null;
        }
      },
      addLocalNotification:function(delayTime, content, badge, notificationID, extras){
        if(push){
          plugins.jPushPlugin.addLocalNotificationForIOS(delayTime, content, badge, notificationID, extras)
        }
      },
      deleteLocalNotificationWithIdentifierKeyInIOS:function(notificationID){
        if(push){
          plugins.jPushPlugin.deleteLocalNotificationWithIdentifierKeyInIOS(notificationID);
        }
      },
      init: function(notificationCallback) {
        push = window.plugins && window.plugins.jPushPlugin;
        if (push) {
          console.log('jpush: init');
          plugins.jPushPlugin.init();
          plugins.jPushPlugin.getRegistrationID();
          plugins.jPushPlugin.setDebugMode(true);
          plugins.jPushPlugin.openNotificationInAndroidCallback = notificationCallback;
          plugins.jPushPlugin.receiveNotificationIniOSCallback = notificationCallback;
        }
      }
    };
  })
  .factory('DatePicker',function($cordovaDatePicker,$ionicLoading){

    var options = {
      date: new Date(),
      mode: 'date', // or 'time'
      minDate: new Date(1970,1,1),
      allowOldDates: true,
      allowFutureDates: true,
      doneButtonLabel: '完成',
      doneButtonColor: '#007aff',
      cancelButtonLabel: '取消',
      cancelButtonColor: '#007aff'
    };

    return {
      open : function(){
        $cordovaDatePicker.show(options).then(function(date){
          return date;
        })
      }
    }
  })
;























